<?php 
	/*	
	*	Goodlayers Getting Start Page
	*	---------------------------------------------------------------------
	*	This file that creates getting start page
	*	---------------------------------------------------------------------
	*/	

	if( class_exists('gdlr_core_getting_start') ){
		new gdlr_core_getting_start(array(
			'parent-slug' => 'goodlayers_main_menu',
			'page-title' => esc_html__('Getting Start / Import', 'kingster'),
			'menu-title' => esc_html__('Getting Start / Import', 'kingster'),
			'capability' => 'edit_theme_options'
		));
	}

	add_filter('gdlr_core_getting_start_option', 'kingster_gdlr_core_getting_start_option', 10, 2);
	if( !function_exists('kingster_gdlr_core_getting_start_option') ){
		function kingster_gdlr_core_getting_start_option( $options, $slug ){
			if( $slug == 'gdlr_core_getting_start' ){

				$content = array();

				// install plugins link
				$plugins_complete = kingster_tgmpa_complete();
				if( !$plugins_complete ){
					$content['required-plugins'] = array(
						'title' => esc_html__('Required Plugins', 'kingster'),
						'type' => 'page',
						'content' => '<p>' . wp_kses(__('<strong>Before moving on, please make sure that all required plugins are installed and activated</strong><br>This is very important step to make the theme run properly.', 'kingster'), array('strong'=>array(), 'br'=>array()) ) . 
							'</p><a class="gdlr-core-button" href="' . esc_attr(admin_url('themes.php?page=tgmpa-install-plugins')) . '" >' . esc_html__('Install Required Plugins', 'kingster') . '</a>' .
							'<h3>' . esc_html__('1. Install plugins then click on \'Return To Require Plugins Installer', 'kingster') . '</h3><img src="' . esc_url(get_template_directory_uri() . '/images/getting-start/require-plugin1.jpg') . '" alt="' . esc_attr__('Required Plugin', 'kingster') . '" />' .
							'<h3>' . esc_html__('2. Activate plugins', 'kingster') . '</h3><img src="' . esc_url(get_template_directory_uri() . '/images/getting-start/require-plugin2.jpg') . '" alt="' . esc_attr__('Required Plugin', 'kingster') . '" />'
					);
				}

				// guidelines
				$content['guidelines'] = array(
					'title' => esc_html__('Guidelines', 'kingster'),
					'type' => 'page',
					'content' => 
						wp_kses(__('<h4>1.) Installation</h4>', 'kingster'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/5hS11NLi0C8" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>' .
						wp_kses(__('<h4>2.) Importing Demo</h4>', 'kingster'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/2rCTU36oJ98" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>' .
						wp_kses(__('<h4>3.) Creating Portfolio</h4>', 'kingster'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/XFrtHJuPW_4" frameborder="0" allowfullscreen></iframe>' . 
						wp_kses(__('<h4>4.) Creating Personnel</h4>', 'kingster'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/MwFxxSlYuAA" frameborder="0" allowfullscreen></iframe>' . 
						wp_kses(__('<h4>5.) Creating Blog</h4>', 'kingster'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/fqcdMzTjvrE" frameborder="0" allowfullscreen></iframe>' .
						wp_kses(__('<h4>6.) Goodlayers Page Builder</h4>', 'kingster'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/N0haJbDM8ac" frameborder="0" allowfullscreen></iframe>'
				);

				// import demo
				$content['import-demo'] = array(
					'title' => esc_html__('Import Demo', 'kingster'),
					'type' => 'demo',
					'content' => wp_kses(__('<strong>Get import error?</strong> Please make sure that your server has PHP max_execution_time at least 300, memory_limit at least 512MB. You may set these values temporaly and change it back after finish importing.<br><strong>If you\'re importing main demo (Full Version), PHP max_input_vars is recommended to be at least 4000</strong>', 'kingster'), array('strong'=>array(), 'br'=>array())),
					'demo-content' => wp_kses(
						__('<strong>Main demo (Full verion)</strong> - include all pages shown in demo such as elements, features, about us, services contact, all portfolio pages, all blog pages. It\'s 100+ pages and 170+ images in total.', 'kingster') . '<br><br>' . 
						__('<strong>Main demo (Lite verion)</strong> - include about us, services, few portfolios, few blog pages. Element and feature page are not included.', 'kingster') . '<br><br>' . 
						__('Please also be cautious that over 1000+ images will be generated in main demo.', 'kingster'), 
						array('strong'=>array(), 'br'=>array())),
				);

				// system status
				$content['system-status'] = array(
					'title' => esc_html__('System Status', 'kingster'),
					'type' => 'system-status',
					'content' => wp_kses(__('<strong>To import demo content</strong>, PHP max_execution_time at least 300 secs and  memory_limit at least 512MB is recommended. <strong><br>If you\'re importing main demo (Full Version)</strong>, PHP max_input_vars is recommended to be at least 4000.', 'kingster'), array('strong'=>array(), 'br'=>array()))
				);

				// obtain product validation link
				if( !empty($GLOBALS['tgmpa']) ){
					$plugin_slug = 'envato-market';
					$plugin_url = 'admin.php?page=envato-market';
					$product_validation_url = kingster_tgmpa_auto_install_url($plugin_slug,  $plugin_url);

					$tgmpa = call_user_func(array(get_class($GLOBALS['tgmpa']), 'get_instance'));
					if( !$tgmpa->is_plugin_installed($plugin_slug) ){
						$content['get-automatic-updates'] = array(
							'title' => esc_html__('Get Automatic Updates', 'kingster'),
							'type' => 'page',
							'content' => wp_kses(__('<p><strong>To get automatic updates, you need to install and activate the plugin \'Envato Market\'</strong>.<br>You\'ll also need API Personal Token for verification. Please read for instruction in plugin settings.</p>', 'kingster'), array('strong'=>array(), 'br'=>array(), 'p'=> array()) ) . 
								'<a class="gdlr-core-button" href="' . esc_url($product_validation_url) . '" >' . esc_html__('Get envato market plugin now!', 'kingster') . '</a>'
						);
					}else{
						$content['get-automatic-updates'] = array(
							'title' => esc_html__('Get Automatic Updates', 'kingster'),
							'type' => 'page',
							'content' => wp_kses(__('<p><strong>To get automatic updates</strong>, you need to fill the infomation in \'Envato Market\' plugin page.<br>You need to retrieve API Personal Token for verification. Please read for instruction in plugin settings.</p>', 'kingster'), array('strong'=>array(), 'br'=>array(), 'p'=> array()) ) . 
								'<a class="gdlr-core-button" href="' . esc_url($product_validation_url) . '" >' . esc_html__('Go to plugin settings!', 'kingster') . '</a>'
						);
					}
				}

				// support
				$content['support'] = array(
					'title' => esc_html__('Support', 'kingster'),
					'type' => 'page',
					'content' => wp_kses(__('<p><strong>Have questions about how to use the theme?</strong></p><p>Make sure that you read all through the document we provided. The document is contained in main package that you downloaded from Themeforest. It\'s in the folder \'Document-Instruction\', open the file \'index.html\' with your browser. Or you can view online document here.</p>', 'kingster'), array('strong'=>array(), 'br'=>array(), 'p'=> array()) ) . 
						'<a class="gdlr-core-button" target="_blank" href="#" >' . esc_html__('View Online Document', 'kingster') . '</a><br><br>' .
						wp_kses(__('<p><strong>Have problems or can\'t find answer in the document?</strong></p><p>1. Make sure that you are running the latest version of the theme.<br>2. Make sure that you deeply checked theme\'s instruction and try to search for public tickets in case of someone else asked the same question before. <br> 3. Try to deactivate all plugins (Except Goodlayers plugins) and see if the problem resolved or not.</p>', 'kingster'), array('strong'=>array(), 'br'=>array(), 'p'=> array()) ) .
						wp_kses(sprintf(__('<p>After doing these steps and still see the problem, feel free to submit tickets in our support website. Our supporter are happy to help you.<br><strong>Please note that you will need Purchase code to submit the ticket</strong> - <a href="%s" target="_blank" >How to get purchased code?</a></p>', 'kingster'), 'https://help.market.envato.com/hc/en-us/articles/202822600'), array('strong'=>array(), 'br'=>array(), 'p'=> array(), 'a'=>array('href'=>array(), 'target'=>array())) ) .
						'<a class="gdlr-core-button" target="_blank" href="http://support.goodlayers.com" >' . esc_html__('Go to support website', 'kingster') . '</a>'
				);

				return array(
					'header' => array(
						'logo' => get_template_directory_uri() . '/images/getting-start/header.png',
						'title' => esc_html__('Congratulations !', 'kingster'),
						'caption' => '<strong>' . esc_html__('Kingster', 'kingster') . '</strong> ' . esc_html__('WordPress theme is now installed and ready to use. Thank you so much for choosing Goodlayers!', 'kingster')
					),
					'content' => $content
				);
			}

			return $options;
		}
	}

	// add filter for demo import
	add_filter('gdlr_core_demo_options', 'kingster_gdlr_core_demo_options');
	if( !function_exists('kingster_gdlr_core_demo_options') ){
		function kingster_gdlr_core_demo_options($demo){
			return array(
				'kingster' => array(
					'title' => esc_html__('Kingster - University', 'kingster'),
					'url' => 'http://demo.goodlayers.com/kingster',
					'xml' => get_template_directory() . '/admin/function/files/kingster.xml',
					'page' => 2039,
					'menu' => array('main_menu' => 83, 'mobile_menu' => 83, 'top_bar_menu' => 85),
					'widget' => '{"gdlrcst_sidebar_name":[{"name":"Blog","id":"blog"},{"name":"Blog Left","id":"blog-left"},{"name":"Blog Right","id":"blog-right"},{"name":"Shop","id":"shop"},{"name":"Donor Sidebar","id":"donor-sidebar"},{"name":"BBA Sidebar","id":"bba-sidebar"},{"name":"Accounting","id":"accounting"},{"name":"Finance","id":"finance"},{"name":"Law Sidebar","id":"law-sidebar"},{"name":"Business Regulation","id":"business-regulation"},{"name":"International Taxation","id":"international-taxation"},{"name":"Engineering Sidebar","id":"engineering-sidebar"},{"name":"Construction Management","id":"construction-management"},{"name":"Cybersecurity","id":"cybersecurity"},{"name":"Single Event","id":"single-event"}],"sidebars_widgets":{"wp_inactive_widgets":[],"gdlr-core-sidebar-preset":["search-2","recent-posts-2","recent-comments-2","archives-2","categories-2","meta-2"],"footer-1":["text-2"],"footer-2":["gdlr-core-custom-menu-widget-2"],"footer-3":["gdlr-core-custom-menu-widget-3"],"footer-4":["gdlr-core-custom-menu-widget-4"],"blog":["text-5","gdlr-core-recent-post-widget-1","tag_cloud-1","gdlr-core-recent-portfolio-widget-1"],"blog-left":["search-3","text-6","recent-posts-3"],"blog-right":["text-7","gdlr-core-recent-portfolio-widget-2","tag_cloud-2","gdlr-core-recent-post-widget-2"],"shop":["woocommerce_price_filter-1","woocommerce_widget_cart-1","woocommerce_product_categories-1"],"donor-sidebar":["text-15","gdlr-core-video-widget-2"],"bba-sidebar":["text-18"],"accounting":["gdlr-core-custom-menu-widget-5","text-19","text-20"],"finance":["gdlr-core-custom-menu-widget-6","text-21","text-22"],"law-sidebar":["text-23"],"business-regulation":["gdlr-core-custom-menu-widget-7","text-24","text-25"],"international-taxation":["gdlr-core-custom-menu-widget-9","text-28","text-29"],"engineering-sidebar":["text-30"],"construction-management":["gdlr-core-custom-menu-widget-10","text-31","text-32"],"cybersecurity":["gdlr-core-custom-menu-widget-11","text-35","text-34"],"single-event":["tribe-events-list-widget-2","text-36"],"array_version":3},"widget_akismet_widget":{"_multiwidget":1},"widget_archives":{"2":{"title":"","count":0,"dropdown":0},"_multiwidget":1},"widget_bcn_widget":{"_multiwidget":1},"widget_calendar":{"_multiwidget":1},"widget_categories":{"2":{"title":"","count":0,"hierarchical":0,"dropdown":0},"_multiwidget":1},"widget_custom_html":{"_multiwidget":1},"widget_gdlr-core-custom-menu-widget":{"2":{"title":"Our Campus","menu":"104","style":"plain"},"3":{"title":"Campus Life","menu":"105","style":"plain"},"4":{"title":"Academics","menu":"106","style":"plain"},"5":{"title":"Accounting Major","menu":"107","style":"list"},"6":{"title":"Finance Major","menu":"109","style":"list"},"7":{"title":"Business Regulation Major","menu":"110","style":"list"},"9":{"title":"International Taxation Major","menu":"111","style":"list"},"10":{"title":"Construction Management Major","menu":"112","style":"list"},"11":{"title":"Cybersecurity Major","menu":"113","style":"list"},"_multiwidget":1},"widget_gdlr-core-portfolio-slider-widget":{"_multiwidget":1},"widget_gdlr-core-post-slider-widget":{"_multiwidget":1},"widget_gdlr-core-recent-comment-widget":{"_multiwidget":1},"widget_gdlr-core-recent-portfolio-widget":{"1":{"title":"Recent Works","category":"","num-fetch":"6"},"2":{"title":"Our Works","category":"","num-fetch":"4"},"_multiwidget":1},"widget_gdlr-core-recent-post-widget":{"1":{"title":"Recent News","style":"style-1","category":"","num-fetch":"3"},"2":{"title":"Recent News","style":"style-2","category":"","num-fetch":"3"},"_multiwidget":1},"widget_gdlr-core-twitter-widget":{"_multiwidget":1},"widget_gdlr-core-video-widget":{"2":{"title":"Video Presentation","video":"https:\/\/www.youtube.com\/watch?v=C5pKtnmHTxg","thumbnail":"5507","thumbnail-size":"Portfolio Thumbnail"},"_multiwidget":1},"widget_media_audio":{"_multiwidget":1},"widget_media_gallery":{"_multiwidget":1},"widget_media_image":{"_multiwidget":1},"widget_media_video":{"_multiwidget":1},"widget_meta":{"2":{"title":""},"_multiwidget":1},"widget_nav_menu":{"_multiwidget":1},"widget_newsletterwidget":{"_multiwidget":1},"widget_newsletterwidgetminimal":{"_multiwidget":1},"widget_pages":{"_multiwidget":1},"widget_recent-comments":{"2":{"title":"","number":5},"_multiwidget":1},"widget_recent-posts":{"2":{"title":"","number":5},"3":{"title":"Recent Posts","number":5,"show_date":false},"_multiwidget":1},"widget_rev-slider-widget":{"_multiwidget":1},"widget_rss":{"1":[],"_multiwidget":1},"widget_search":{"2":{"title":""},"3":{"title":""},"_multiwidget":1},"widget_simple-section-nav":{"_multiwidget":1},"widget_tag_cloud":{"1":{"title":"Tag Cloud","taxonomy":"post_tag"},"2":{"title":"Tag Cloud","taxonomy":"post_tag"},"_multiwidget":1},"widget_text":{"1":[],"2":{"title":"","text":"<img src=\"https:\/\/demo.goodlayers.com\/kingster\/wp-content\/uploads\/2018\/08\/footer-logo.png\" alt=\"\" \/>\r\n[gdlr_core_space height=\"5px\"]\r\nBox 35300\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246\r\n\r\n<span style=\"font-size: 15px; color: #ffffff;\">+1-2534-4456-345<\/span>\r\n[gdlr_core_space height=\"-20px\"]\r\n<a style=\"font-size: 15px; color: #ffffff;\" href=\"mailto:admin@kingsteruni.edu\">admin@kingsteruni.edu<\/a>\r\n\r\n[gdlr_core_divider divider-size=\"2px\" divider-color=\"#3db166\" align=\"left\" ]","filter":true,"visual":true},"5":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"6":{"title":"About Us","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui.","filter":false},"7":{"title":"Text Widget","text":"Nullam quis risus eget urna mollis ornare vel eu leo. Nullam id dolor id nibh ultricies vehicula ut id elit. Donec ullamcorper nulla non metus auctor fringilla. Maecenas sed diam eget.","filter":true,"visual":true},"15":{"title":"","text":"[gdlr_core_button button-text=\"Become A Donor\" button-link=\"#\" button-link-target=\"_blank\" margin-right=\"20px\" border-radius=\"0px\" padding=\"22px 50px 24px\" text-size=\"17px\" text-font-weight=\"700\" text-transform=\"none\" icon-position=\"right\" icon=\"arrow_right\" full-width-button=\"enable\" full-width-button=\"enable\" ]\r\n\r\n[gdlr_core_space height=30px]\r\n\r\n[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Office Of Development<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"18":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Bachelor Of Science in Business Administration<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"19":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Bachelor Of Science in Business Administration<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"20":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Accounting Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"21":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Bachelor Of Science in Business Administration<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"22":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Accounting Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"23":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">School Of Law<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"25":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">SOL Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"24":{"title":"","text":"[gdlr_widget_box background=\"#192f59\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">School Of Law<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"28":{"title":"","text":"[gdlr_widget_box background=\"#192f59\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">School Of Law<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"29":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">SOL Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"30":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Engineering<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"31":{"title":"","text":"[gdlr_widget_box background=\"#192f59\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Engineering<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"32":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Engineering Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"34":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Engineering Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"35":{"title":"","text":"[gdlr_widget_box background=\"#192f59\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Engineering<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"36":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Engineering Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"_multiwidget":1},"widget_tribe-events-list-widget":{"2":{"title":"Upcoming Events","limit":"5","no_upcoming_events":false,"featured_events_only":false,"jsonld_enable":1},"_multiwidget":1},"widget_woocommerce_layered_nav":{"_multiwidget":1},"widget_woocommerce_layered_nav_filters":{"_multiwidget":1},"widget_woocommerce_price_filter":{"1":{"title":"Filter by price"},"_multiwidget":1},"widget_woocommerce_product_categories":{"1":{"title":"Product categories","orderby":"name","dropdown":0,"count":0,"hierarchical":1,"show_children_only":0,"hide_empty":0,"max_depth":""},"_multiwidget":1},"widget_woocommerce_product_search":{"_multiwidget":1},"widget_woocommerce_product_tag_cloud":{"_multiwidget":1},"widget_woocommerce_products":{"_multiwidget":1},"widget_woocommerce_rating_filter":{"_multiwidget":1},"widget_woocommerce_recent_reviews":{"_multiwidget":1},"widget_woocommerce_recently_viewed_products":{"_multiwidget":1},"widget_woocommerce_top_rated_products":{"_multiwidget":1},"widget_woocommerce_widget_cart":{"1":{"title":"Cart","hide_if_empty":0},"_multiwidget":1},"widget_wpgmp_google_map_widget_class":{"_multiwidget":1}}',
					'theme-option' => '{"kingster_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-image-opacity":"100","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1360px","container-padding":"20px","sidebar-title-divider":"enable","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"disable","top-bar-width":"boxed","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"15px","top-bar-menu-position":"right","top-bar-left-text":"","top-bar-right-text":"","top-bar-right-button-text":"Support KU","top-bar-right-button-link":"\/kingster\/give-to-kingster\/","top-bar-right-button-target":"_blank","top-bar-top-padding":"18px","top-bar-bottom-padding":"18px","top-bar-text-size":"15px","top-bar-bottom-border":"0px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"","top-bar-social-flickr":"","top-bar-social-google-plus":"","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"menu-right","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"solid","top-bar-background-opacity":"50","header-background-opacity":"50","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"15px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"30px","navigation-text-top-margin":"0px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"18px","navigation-left-offset":"0","navigation-slide-bar":"enable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"","logo-top-padding":"24px","logo-bottom-padding":"28px","logo-left-padding":"","max-logo-width":"330px","mobile-logo":"","max-mobile-logo-width":"180px","mobile-logo-position":"logo-left","main-navigation-top-padding":"37px","main-navigation-bottom-padding":"34px","main-navigation-item-right-padding":"0px","main-navigation-right-padding":"","enable-main-navigation-submenu-indicator":"disable","navigation-right-top-margin":"6px","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-style":"default","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","fixed-navigation-bar-logo":"","fixed-navigation-max-logo-width":"220px","fixed-navigation-logo-top-padding":"23px","fixed-navigation-logo-bottom-padding":"20px","fixed-navigation-top-padding":"30px","fixed-navigation-bottom-padding":"25px","fixed-navigation-anchor-offset":"75px","enable-mobile-navigation-sticky":"enable","default-title-style":"medium","default-title-align":"left","default-title-top-padding":"60px","default-title-bottom-padding":"60px","default-page-caption-top-margin":"4px","default-title-font-transform":"none","default-title-font-size":"43px","default-title-font-weight":"700","default-title-letter-spacing":"0px","default-caption-font-transform":"none","default-caption-font-size":"21px","default-caption-font-weight":"400","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"0","default-title-background":"5491","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"93px","default-blog-title-bottom-padding":"87px","default-blog-feature-image":"content","default-blog-title-background-image":"5491","default-blog-top-bottom-gradient":"enable","single-blog-title-top-gradient-size":"242px","single-blog-title-bottom-gradient-size":"333px","default-blog-title-background-overlay-opacity":"25","blog-style":"style-1","blockquote-style":"style-1","blog-sidebar":"none","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"gdlr-core-sidebar-preset","blog-max-content-width":"900px","blog-thumbnail-size":"full","blog-date-feature":"enable","blog-date-feature-year":"disable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","enable-related-post":"enable","related-post-blog-style":"blog-column-with-frame","related-post-blog-column-style":"style-1","related-post-column-size":"20","related-post-meta-option":["date","author","category","comment-number"],"related-post-thumbnail-size":"full","related-post-num-fetch":"3","related-post-excerpt-number":"0","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-style":"style-1","archive-blog-side-thumbnail-style":"style-1","archive-blog-column-style":"style-1","archive-blog-image-style":"style-1","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","archive-blog-title-font-size":"","archive-blog-title-font-weight":"","archive-blog-title-letter-spacing":"","archive-blog-title-text-transform":"none","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"shop","woocommerce-archive-column-size":"30","woocommerce-archive-thumbnail":"Portfolio Thumbnail Portrait 2","woocommerce-related-product-column-size":"20","woocommerce-related-product-num-fetch":"8","woocommerce-related-product-thumbnail":"Portfolio Thumbnail Portrait","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","enable-single-portfolio-navigation-in-same-tag":"enable","portfolio-icon-hover-link":"icon_link_alt","portfolio-icon-hover-video":"icon_film","portfolio-icon-hover-image":"arrow_expand","portfolio-icon-hover-size":"22px","enable-related-portfolio":"enable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-background":"","enable-footer-column-divider":"disable","footer-top-padding":"70px","footer-bottom-padding":"50px","footer-style":"footer-2","enable-copyright":"enable","copyright-style":"left-right","copyright-top-padding":"33px","copyright-bottom-padding":"33px","copyright-text":"","copyright-left":"Copyright All Right Reserved 2018, GoodLayers","copyright-right":"[gdlr_core_social_network facebook=\"#\" twitter=\"#\" linkedin=\"#\" skype=\"#\" instagram=\"#\" \ngoogle-plus=\"#\"]","enable-back-to-top":"disable","enable-breadcrumbs":"disable","breadcrumbs-top-padding":"25px","breadcrumbs-bottom-padding":"25px","enable-default-title-background":"enable","header-plain-bottom-shadow":"enable","page-title-top-bottom-gradient":"none","page-title-top-gradient-size":"413px","page-title-bottom-gradient-size":"413px","course-search-page":"5926","course-search-num-fetch":"9","course-search-info":["department","campus","level","instructor","semester","credit","method"],"course-search-title-color":"#ffffff","course-search-frame-background":"6022","default-event-title-background":"","default-event-sidebar":"right","default-event-sidebar-left":"gdlr-core-sidebar-preset","default-event-sidebar-right":"single-event","course-search-item-fields":["keywords","course-id","department","campus","level","instructor","semester","credit","method"]},"kingster_typography":{"heading-font":"Poppins","navigation-font":"Poppins","content-font":"Poppins","info-font":"Poppins","blog-info-font":"Poppins","quote-font":"ABeeZee","testimonial-font":"Poppins","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","header-font-weight":"","content-font-size":"16px","content-font-weight":"","content-line-height":"1.7","mobile-h1-font-size":"","mobile-h2-font-size":"","mobile-h3-font-size":"","mobile-h4-font-size":"","mobile-h5-font-size":"","mobile-h6-font-size":"","mobile-content-font-size":"","navigation-font-size":"16px","navigation-font-weight":"500","navigation-font-letter-spacing":"","navigation-text-transform":"none","navigation-right-button-font-size":"11px","navigation-right-button-font-weight":"","navigation-right-button-font-letter-spacing":"","navigation-right-button-text-transform":"uppercase","sidebar-title-font-size":"16px","sidebar-title-font-weight":"600","sidebar-title-font-letter-spacing":"0px","sidebar-title-text-transform":"none","footer-title-font-size":"17px","footer-title-font-weight":"700","footer-title-font-letter-spacing":"0px","footer-title-text-transform":"none","footer-font-size":"16px","footer-content-font-weight":"","footer-content-text-transform":"none","copyright-font-size":"15px","copyright-font-weight":"400","copyright-font-letter-spacing":"0px","copyright-text-transform":"none"},"kingster_color":{"header-background-color":"#ffffff","top-cart-background-color":"#232323","top-cart-checkout-color":"#3db166","secondary-menu-icon-color":"#333333","secondary-menu-border-color":"#333333","main-menu-text-hover-color":"#3db166","sub-menu-background-color":"#eeeeee","navigation-bar-right-icon-color":"#192f59","main-menu-text-color":"#163269","woocommerce-theme-color":"#3db166","woocommerce-price-color":"#707070","woocommerce-button-background-hover-color":"#3db166","add-to-cart-background-color":"#3db166","widget-price-filter-range-color":"#3db166","widget-price-filter-handle-color":"#3db166","top-bar-social-hover-color":"#3db166","navigation-slide-bar-color":"#3db166","woocommerce-cart-icon-number-background":"#3db166","woocommerce-cart-icon-number-color":"#ffffff","top-bar-background-color":"#192f59","top-bar-bottom-border-color":"#ffffff","top-bar-text-color":"#96a2b8","top-bar-link-color":"#919bad","top-bar-link-hover-color":"#ffffff","top-bar-social-color":"#ffffff","header-plain-bottom-border-color":"#e8e8e8","logo-background-color":"#ffffff","search-overlay-background-color":"#000000","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","breadcrumbs-text-color":"#a0a0a0","breadcrumbs-text-active-color":"#3db166","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","sub-menu-text-color":"#585858","sub-menu-text-hover-color":"#223c6c","sub-menu-text-hover-background-color":"#eeeeee","sub-mega-menu-title-color":"#192f59","sub-mega-menu-divider-color":"#dddddd","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-text-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-color":"#192f59","navigation-right-button-background-hover-color":"#1c4c72","navigation-right-button-border-color":"#333333","navigation-right-button-border-hover-color":"#555555","page-preload-background-color":"#ffffff","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#3db166","page-title-background-overlay-color":"#ffffff","body-content-color":"#6b6b6b","heading-color":"#161616","link-color":"#545454","link-hover-color":"#60c988","divider-color":"#e6e6e6","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#5e5e5e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#475267","sidebar-link-hover-color":"#191919","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#5e5e5e","search-box-border-color":"#3db166","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","custom-menu-widget-list-style-link":"#475267","custom-menu-widget-list-style-link-hover":"#334c7a","custom-menu-widget-list-style-border":"#475267","footer-background-color":"#181818","footer-title-color":"#ffffff","footer-content-color":"#ababab","footer-link-color":"#8d8d8d","footer-link-hover-color":"#ffffff","footer-divider-color":"#363636","copyright-background-color":"#202020","copyright-text-color":"#838383","copyright-link-color":"#50bd77","copyright-link-hover-color":"#ffffff","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-style-2-tags-color":"#3db166","single-blog-navigation-color":"#a5a5a5","single-blog-navigation2-left-overlay":"#3db166","single-blog-navigation2-overlay":"#3db166","single-blog-2-related-post-background":"#f5f5f5","single-blog-magazine-tags-text":"#272727","single-blog-magazine-tags-background":"#f2f2f2","single-blog-magazine-author-background":"#f7f7f7","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#444444","blog-title-hover-color":"#3db166","blog-sticky-banner-color":"#444444","blog-sticky-banner-background":"#f3f3f3","blog-info-color":"#959595","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-hover-background-color":"#000","blog-thumbnail-category-background":"#3db166","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#3db166","blog-aside-text-color":"#ffffff","pagination-background-color":"#f0f0f0","pagination-text-color":"#919191","pagination-background-hover-color":"#3db166","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#828282","portfolio-frame-background-color":"#ffffff","portfolio-title-color":"#191919","portfolio-title-hover-color":"","portfolio-info-head-color":"#343434","portfolio-info-color":"#b1b1b1","portfolio-grid2-tag-background":"#3db166","portfolio-badge-text-color":"#0a0a0a","portfolio-badge-background-color":"#3db166","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#aaaaaa","portfolio-text-filter-active-color":"#161616","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#191919","portfolio-button-filter-background-active-color":"#3db166","price-table-background-color":"#ffffff","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#3e3e3e","price-table-icon-color":"#ffffff","price-table-title-color":"#3db166","price-table-caption-color":"#ffffff","price-table-price-background-color":"#f6f6f6","price-table-price-color":"#323232","price-table-price-suffix-color":"#191919","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#383838","price-table-button-background-top-gradient-color":"#383838","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#3db166","price-table-active-head-top-gradient-color":"#3db166","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#085e4d","price-table-active-price-background-color":"#f6f6f6","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#191919","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#3db166","price-table-active-button-background-top-gradient-color":"#49b777","accordion-normal-icon-color":"#3db166","accordion-normal-title-head-color":"#3db166","accordion-normal-title-color":"#3db166","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#3db166","accordion-title-head-color":"#3db166","accordion-title-color":"#3db166","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#ffffff","accordion-title-active-color":"#ffffff","accordion-title-background-active-color":"#3db166","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#3db166","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#3db166","blockquote-item-content-color":"#2d2d2d","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#3db166","button-background-hover-color":"#2F2F2F","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#3db166","button-top-gradient-background-color":"#57ba73","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#3db166","dropdown-tab-head-text":"#252525","flipbox-background-color":"#3db166","flipbox-border-color":"#339655","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#000000","image-overlay-icon-color":"#ffffff","image-overlay-icon-background":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#192f59","personnel-grid-position-color":"#7a7a7a","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#ffffff","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","roadmap-title-color":"#8fc9a2","roadmap-title-active-color":"#ffffff","roadmap-caption-color":"#89c49e","roadmap-number-text":"#c5c5c5","roadmap-number-background":"#3db166","roadmap-number-active-text":"#3db166","roadmap-number-active-background":"#ffffff","roadmap-number-divider":"#ffffff","roadmap-content-title":"#ffffff","roadmap-content-caption":"#79af8f","roadmap-content-color":"#82af96","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#3db166","slider-outer-navigation-color":"#0c0c0c","slider-outer-navigation-background-color":"#f1f1f1","slider-control-navigation-color":"#8a8a8a","slider-control-navigation-background-color":"#dfdfdf","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#3db166","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#3db166","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#232323","testimonial-content-color":"#707070","testimonial-author-color":"#3b3b3b","testimonial-rating-color":"#ffa127","testimonial-position-color":"#3b3b3b","testimonial-quote-color":"#3db166","title-item-title-color":"#161616","title-item-caption-color":"#747474","woocommerce-price-linethrough-color":"#949494","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","widget-price-filter-bar-background-color":"#e6e6e6","skin":[{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#ffffff","icon":"#ffffff","link":"#3db166","link-hover":"#3db166","divider":"","border":"","element-background":"#111111","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Black Text","title":"#000000","title-hover":"","caption":"","content":"#000000","icon":"#0a0a0a","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#1a2742","element-background":"#1a2742","element-content":"#94a8d1","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Title","title":"#192f59","title-hover":"","caption":"#b7b7b7","content":"#163269","icon":"#163269","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Column Service","title":"#ffffff","title-hover":"","caption":"","content":"#d4e1fa","icon":"","link":"#3db166","link-hover":"#ffffff","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blut Title Column Service","title":"#192f59","title-hover":"","caption":"","content":"#545454","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Green Title","title":"#3db166","title-hover":"","caption":"","content":"#707070","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Green Form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#3db166","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Personnel","title":"#192f59","title-hover":"","caption":"#7c7c7c","content":"","icon":"","link":"#192f59","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"#ffffff","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Column White","title":"#ffffff","title-hover":"","caption":"#a6a6a6","content":"#a8a8a8","icon":"","link":"#3db166","link-hover":"#ffffff","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter HP 2","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#f2f2f2","element-background":"#f2f2f2","element-content":"#3f3f3f","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"White Title","title":"#ffffff","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"blog-grid-divider-color":"#ffd115","tag-cloud-text-color":"#ffffff","tag-cloud-background-color":"#3db166","tag-cloud-border-color":"#3db166","single-blog-title-background-gradient-color":"#000","sidebar-title-background-color":"#ededed","sidebar-title-bottom-border-color":"#3db166","sidebar-border-color":"#3db166","tab-image-icon-color":"#50bd77","tab-content-color":"#8c8c8c","tab-content-background-color":"#ffffff","footer-title-divider-color":"#3db166","page-title-background-gradient-color":"#000","video-widget-icon-background":"#3db166","personnel-position-color":"#4c4c4c","personnel-grid-frame-border-color":"#3db166","page-title-background-gradient-max-opacity":"1","single-blog-title-background-gradient-max-opacity":"1","course-list-title-color":"#6b6b6b","course-list-id-color":"#3db166","course-list-info-background-color":"#f2f2f2","course-list-info-title-color":"#3e3e3e","course-list-info-id-color":"#3db166","course-list-info-info-color":"#6b6b6b","course-list-info-button-color":"#50bd77","course-search-input-background":"#3b4b6b","course-search-input-text":"#b1c0e0","course-search-submit-button-background":"#50bd77","course-list-title-hover-color":"#3db166","event-item-date-color":"#50bd77","event-item-month-color":"#152647","event-item-title-color":"#182847","event-item-info-color":"#50bd77"},"kingster_plugin":{"enable-srcset":"enable","lightbox":"lightGallery","ilightbox-skin":"dark","link-to-lightbox":"enable","lightbox-video-autoplay":"enable","additional-css":"","additional-mobile-css":"","additional-head-script":"","additional-head-script2":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4348","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Thumbnail","width":"700","height":"935","hard-crop":""},{"name":"Personnel Square","width":"500","height":"500","hard-crop":""},{"name":"Gallery Portrait","width":"495","height":"600","hard-crop":""},{"name":"Single Major","width":"1000","height":"365","hard-crop":""}],"disable-cookie-youtube":"disable","privacy-cookie-time":"30","privacy-notification-position":"bottom-bar","privacy-box-button-color":"#1a49a8","privacy-form-logo":"","privacy-form-input-button-color":"#1a49a8","privacy-form-save-button-color":"#1a49a8"},"goodlayers_core_course_custom_taxs":{"department":{"label":"Department","hierarchical":true},"campus":{"label":"Campus","hierarchical":true},"level":{"label":"Level","hierarchical":true},"instructor":{"label":"Instructor","hierarchical":true},"semester":{"label":"Semester","hierarchical":true},"credit":{"label":"Credit","hierarchical":true},"method":{"label":"Method","hierarchical":true}}}'
				),
				'kindergarten' => array(
					'title' => esc_html__('Kingster - Kindergarten', 'kingster'),
					'url' => 'https://demo.goodlayers.com/kingster/kindergarten',
					'xml' => get_template_directory() . '/admin/function/files/kindergarten.xml',
					'page' => 2039,
					'menu' => array('main_menu' => 63, 'mobile_menu' => 63),
					'widget' => '{"gdlrcst_sidebar_name":{"0":{"name":"Blog","id":"blog"},"1":{"name":"Blog Left","id":"blog-left"},"2":{"name":"Blog Right","id":"blog-right"},"3":{"name":"Shop","id":"shop"},"4":{"name":"Donor Sidebar","id":"donor-sidebar"},"14":{"name":"Single Event","id":"single-event"}},"sidebars_widgets":{"bba-sidebar":["text-18"],"accounting":["gdlr-core-custom-menu-widget-5","text-19","text-20"],"finance":["gdlr-core-custom-menu-widget-6","text-21","text-22"],"law-sidebar":["text-23"],"business-regulation":["gdlr-core-custom-menu-widget-7","text-24","text-25"],"international-taxation":["gdlr-core-custom-menu-widget-9","text-28","text-29"],"engineering-sidebar":["text-30"],"construction-management":["gdlr-core-custom-menu-widget-10","text-31","text-32"],"cybersecurity":["gdlr-core-custom-menu-widget-11","text-35","text-34"],"wp_inactive_widgets":[],"gdlr-core-sidebar-preset":["search-2","recent-posts-2","recent-comments-2","archives-2","categories-2","meta-2"],"footer-1":["text-2"],"footer-2":["gdlr-core-custom-menu-widget-2"],"footer-3":["gdlr-core-custom-menu-widget-3"],"footer-4":["gdlr-core-custom-menu-widget-4"],"blog":["text-5","gdlr-core-recent-post-widget-1","tag_cloud-1","gdlr-core-recent-portfolio-widget-1"],"blog-left":["search-3","text-6","recent-posts-3"],"blog-right":["text-7","gdlr-core-recent-portfolio-widget-2","tag_cloud-2","gdlr-core-recent-post-widget-2"],"shop":[],"donor-sidebar":["text-15","gdlr-core-video-widget-2"],"single-event":["gdlr-core-recent-event-widget-2","text-36"],"array_version":3},"widget_akismet_widget":{"_multiwidget":1},"widget_archives":{"2":{"title":"","count":0,"dropdown":0},"_multiwidget":1},"widget_bcn_widget":{"_multiwidget":1},"widget_calendar":{"_multiwidget":1},"widget_categories":{"2":{"title":"","count":0,"hierarchical":0,"dropdown":0},"_multiwidget":1},"widget_custom_html":{"_multiwidget":1},"widget_gdlr-core-category-background-widget":{"_multiwidget":1},"widget_gdlr-core-custom-menu-widget":{"2":{"title":"Our Campus","menu":"64","style":"plain"},"3":{"title":"Campus Life","menu":"58","style":"plain"},"4":{"title":"Academics","menu":"106","style":"plain"},"5":{"title":"Accounting Major","menu":"107","style":"list"},"6":{"title":"Finance Major","menu":"109","style":"list"},"7":{"title":"Business Regulation Major","menu":"110","style":"list"},"9":{"title":"International Taxation Major","menu":"111","style":"list"},"10":{"title":"Construction Management Major","menu":"112","style":"list"},"11":{"title":"Cybersecurity Major","menu":"113","style":"list"},"_multiwidget":1},"widget_gdlr-core-instagram-widget":{"_multiwidget":1},"widget_gdlr-core-portfolio-slider-widget":{"_multiwidget":1},"widget_gdlr-core-post-slider-widget":{"_multiwidget":1},"widget_gdlr-core-recent-comment-widget":{"_multiwidget":1},"widget_gdlr-core-recent-event-widget":{"2":{"title":"","category":"","num-fetch":"3"},"_multiwidget":1},"widget_gdlr-core-recent-portfolio-widget":{"1":{"title":"Recent Works","category":"","num-fetch":"6"},"2":{"title":"Our Works","category":"","num-fetch":"4"},"_multiwidget":1},"widget_gdlr-core-recent-post-widget":{"1":{"title":"Recent News","style":"style-1","category":"","num-fetch":"3"},"2":{"title":"Recent News","style":"style-2","category":"","num-fetch":"3"},"_multiwidget":1},"widget_gdlr-core-twitter-widget":{"_multiwidget":1},"widget_gdlr-core-video-widget":{"2":{"title":"Video Presentation","video":"https:\/\/www.youtube.com\/watch?v=C5pKtnmHTxg","thumbnail":"6092","thumbnail-size":"Portfolio Thumbnail"},"_multiwidget":1},"widget_media_audio":{"_multiwidget":1},"widget_media_gallery":{"_multiwidget":1},"widget_media_image":{"_multiwidget":1},"widget_media_video":{"_multiwidget":1},"widget_meta":{"2":{"title":""},"_multiwidget":1},"widget_nav_menu":{"_multiwidget":1},"widget_newsletterwidget":{"_multiwidget":1},"widget_newsletterwidgetminimal":{"_multiwidget":1},"widget_pages":{"_multiwidget":1},"widget_recent-comments":{"2":{"title":"","number":5},"_multiwidget":1},"widget_recent-posts":{"2":{"title":"","number":5},"3":{"title":"Recent Posts","number":5,"show_date":false},"_multiwidget":1},"widget_rev-slider-widget":{"_multiwidget":1},"widget_rss":{"1":[],"_multiwidget":1},"widget_search":{"2":{"title":""},"3":{"title":""},"_multiwidget":1},"widget_simple-section-nav":{"_multiwidget":1},"widget_tag_cloud":{"1":{"title":"Tag Cloud","taxonomy":"post_tag"},"2":{"title":"Tag Cloud","taxonomy":"post_tag"},"_multiwidget":1},"widget_text":{"1":[],"2":{"title":"","text":"<img class=\"alignnone size-full wp-image-6069\" src=\"https:\/\/demo.goodlayers.com\/kingster\/kindergarten\/wp-content\/uploads\/2019\/06\/logo-kindergarten.png\" alt=\"\" width=\"170\" height=\"61\" \/>\r\n[gdlr_core_space height=\"-25px\"]\r\nBox 35300\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246\r\n\r\n<span style=\"font-size: 15px; color: #ffffff;\">+1-2534-4456-345<\/span>\r\n[gdlr_core_space height=\"-20px\"]\r\n<a style=\"font-size: 15px; color: #ffffff;\" href=\"mailto:admin@kingsteruni.edu\">admin@kingsteruni.edu<\/a>\r\n\r\n[gdlr_core_divider divider-size=\"2px\" divider-color=\"#dc3c3a\" align=\"left\" ]","filter":true,"visual":true},"5":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"6":{"title":"About Us","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui.","filter":false},"7":{"title":"Text Widget","text":"Nullam quis risus eget urna mollis ornare vel eu leo. Nullam id dolor id nibh ultricies vehicula ut id elit. Donec ullamcorper nulla non metus auctor fringilla. Maecenas sed diam eget.","filter":true,"visual":true},"15":{"title":"","text":"[gdlr_core_button button-text=\"Become A Donor\" button-link=\"#\" button-link-target=\"_blank\" margin-right=\"20px\" border-radius=\"0px\" padding=\"22px 50px 24px\" text-size=\"17px\" text-font-weight=\"700\" text-transform=\"none\" icon-position=\"right\" icon=\"arrow_right\" full-width-button=\"enable\" full-width-button=\"enable\" ]\r\n\r\n[gdlr_core_space height=30px]\r\n\r\n[gdlr_widget_box background=\"#dc3c3a\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #ffffff; margin-bottom: 15px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #ffffff; font-size: 16px; font-weight: 600;\">Office Of Development<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #ffffff;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #ffffff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#ffffff\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"18":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Bachelor Of Science in Business Administration<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"19":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Bachelor Of Science in Business Administration<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"20":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Accounting Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"21":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Bachelor Of Science in Business Administration<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"22":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Accounting Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"23":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">School Of Law<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"25":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">SOL Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"24":{"title":"","text":"[gdlr_widget_box background=\"#192f59\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">School Of Law<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"28":{"title":"","text":"[gdlr_widget_box background=\"#192f59\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">School Of Law<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"29":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">SOL Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"30":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Engineering<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"31":{"title":"","text":"[gdlr_widget_box background=\"#192f59\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Engineering<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"32":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Engineering Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"34":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Engineering Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"35":{"title":"","text":"[gdlr_widget_box background=\"#192f59\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Engineering<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"36":{"title":"","text":"[gdlr_core_space height=\"-50px\"][gdlr_widget_box border-color=\"#dc3c3a\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Engineering Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"_multiwidget":1},"widget_tribe-events-list-widget":{"_multiwidget":1},"widget_woocommerce_layered_nav":{"_multiwidget":1},"widget_woocommerce_layered_nav_filters":{"_multiwidget":1},"widget_woocommerce_price_filter":{"1":{"title":"Filter by price"},"_multiwidget":1},"widget_woocommerce_product_categories":{"1":{"title":"Product categories","orderby":"name","dropdown":0,"count":0,"hierarchical":1,"show_children_only":0,"hide_empty":0,"max_depth":""},"_multiwidget":1},"widget_woocommerce_product_search":{"_multiwidget":1},"widget_woocommerce_product_tag_cloud":{"_multiwidget":1},"widget_woocommerce_products":{"_multiwidget":1},"widget_woocommerce_rating_filter":{"_multiwidget":1},"widget_woocommerce_recent_reviews":{"_multiwidget":1},"widget_woocommerce_recently_viewed_products":{"_multiwidget":1},"widget_woocommerce_top_rated_products":{"_multiwidget":1},"widget_woocommerce_widget_cart":{"1":{"title":"Cart","hide_if_empty":0},"_multiwidget":1},"widget_wpgmp_google_map_widget_class":{"_multiwidget":1}}',
					'theme-option' => '{"kingster_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-image-opacity":"NaN","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1360px","container-padding":"20px","sidebar-title-divider":"enable","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"disable","top-bar-width":"boxed","top-bar-width-pixel":"#3db166","top-bar-full-side-padding":"NaNpx","top-bar-menu-position":"right","top-bar-left-text":"[gdlr_core_icon icon=\"fa fa-envelope-open-o\" size=\"15px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"8px\" ] contact@KingsterKids.edu [gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"18px\" margin-right=\"6px\" ] +1-3435-2356-222","top-bar-right-text":"","top-bar-right-button-text":"Support KU","top-bar-right-button-link":"\/kingster\/kindergarten\/give-to-kingster\/","top-bar-right-button-target":"_blank","top-bar-top-padding":"18px","top-bar-bottom-padding":"18px","top-bar-text-size":"15px","top-bar-bottom-border":"0px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"#","top-bar-social-flickr":"","top-bar-social-google-plus":"","top-bar-social-lastfm":"","top-bar-social-linkedin":"#","top-bar-social-pinterest":"#","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"#","top-bar-social-vimeo":"#","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"menu-right","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"solid","top-bar-background-opacity":"NaN","header-background-opacity":"NaN","navigation-background-opacity":"NaN","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"NaN","boxed-top-bar-background-extend":"NaNpx","boxed-header-top-margin":"NaNpx","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"","header-full-side-padding":"NaNpx","boxed-header-frame-radius":"","boxed-header-content-padding":"NaNpx","navigation-text-top-margin":"NaNpx","navigation-text-top-margin-boxed":"NaNpx","navigation-text-side-spacing":"18px","navigation-left-offset":"0px","navigation-slide-bar":"enable","side-header-width-pixel":"NaNpx","side-header-side-padding":"NaNpx","navigation-text-top-spacing":"NaNpx","logo-right-text":"","logo-right-text-top-padding":"NaNpx","logo":"6069","logo-top-padding":"32px","logo-bottom-padding":"28px","logo-left-padding":"","max-logo-width":"180px","mobile-logo":"6069","max-mobile-logo-width":"120px","mobile-logo-position":"logo-left","main-navigation-top-padding":"37px","main-navigation-bottom-padding":"34px","main-navigation-item-right-padding":"0px","main-navigation-right-padding":"","enable-main-navigation-submenu-indicator":"disable","navigation-right-top-margin":"6px","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-style":"default","main-navigation-right-button-text":"","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","fixed-navigation-bar-logo":"","fixed-navigation-max-logo-width":"160px","fixed-navigation-logo-top-padding":"23px","fixed-navigation-logo-bottom-padding":"20px","fixed-navigation-top-padding":"30px","fixed-navigation-bottom-padding":"25px","fixed-navigation-anchor-offset":"75px","enable-mobile-navigation-sticky":"enable","default-title-style":"medium","default-title-align":"left","default-title-top-padding":"NaNpx","default-title-bottom-padding":"NaNpx","default-page-caption-top-margin":"NaNpx","default-title-font-transform":"none","default-title-font-size":"NaNpx","default-title-font-weight":"700","default-title-letter-spacing":"NaNpx","default-caption-font-transform":"none","default-caption-font-size":"NaNpx","default-caption-font-weight":"400","default-caption-letter-spacing":"NaNpx","default-title-background-overlay-opacity":"0","default-title-background":"6118","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"NaNpx","default-blog-title-bottom-padding":"NaNpx","default-blog-feature-image":"content","default-blog-title-background-image":"6118","default-blog-top-bottom-gradient":"enable","single-blog-title-top-gradient-size":"242px","single-blog-title-bottom-gradient-size":"333px","default-blog-title-background-overlay-opacity":"1","blog-style":"style-1","blockquote-style":"style-1","blog-sidebar":"none","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"gdlr-core-sidebar-preset","blog-max-content-width":"900px","blog-thumbnail-size":"full","blog-date-feature":"enable","blog-date-feature-year":"disable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","enable-related-post":"enable","related-post-blog-style":"blog-column-with-frame","related-post-blog-column-style":"style-1","related-post-column-size":"20","related-post-meta-option":["date","author","category","comment-number"],"related-post-thumbnail-size":"full","related-post-num-fetch":"","related-post-excerpt-number":"","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-style":"style-1","archive-blog-side-thumbnail-style":"style-1","archive-blog-column-style":"style-1","archive-blog-image-style":"style-1","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","archive-blog-title-font-size":"","archive-blog-title-font-weight":"","archive-blog-title-letter-spacing":"","archive-blog-title-text-transform":"none","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"shop","woocommerce-archive-column-size":"30","woocommerce-archive-thumbnail":"Portfolio Thumbnail Portrait 2","woocommerce-related-product-column-size":"20","woocommerce-related-product-num-fetch":"8","woocommerce-related-product-thumbnail":"Portfolio Thumbnail Portrait","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","enable-single-portfolio-navigation-in-same-tag":"enable","portfolio-icon-hover-link":"icon_link_alt","portfolio-icon-hover-video":"icon_film","portfolio-icon-hover-image":"arrow_expand","portfolio-icon-hover-size":"22px","enable-related-portfolio":"enable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-background":"","enable-footer-column-divider":"disable","footer-top-padding":"70px","footer-bottom-padding":"50px","footer-style":"footer-2","enable-copyright":"enable","copyright-style":"left-right","copyright-top-padding":"30px","copyright-bottom-padding":"30px","copyright-text":"","copyright-left":"Copyright All Right Reserved 2018, GoodLayers","copyright-right":"[gdlr_core_social_network facebook=\"#\" twitter=\"#\" linkedin=\"#\" skype=\"#\" instagram=\"#\" \ngoogle-plus=\"#\"]","enable-back-to-top":"disable","enable-breadcrumbs":"disable","breadcrumbs-top-padding":"25px","breadcrumbs-bottom-padding":"25px","enable-default-title-background":"enable","header-plain-bottom-shadow":"enable","page-title-top-bottom-gradient":"none","page-title-top-gradient-size":"413px","page-title-bottom-gradient-size":"413px","course-search-page":"5926","course-search-num-fetch":"9","course-search-info":"","course-search-title-color":"#ffffff","course-search-frame-background":"6144","default-event-title-background":"","default-event-sidebar":"right","default-event-sidebar-left":"gdlr-core-sidebar-preset","default-event-sidebar-right":"single-event","course-search-item-fields":["keywords","course-id"],"max-tablet-logo-width":"160px"},"kingster_typography":{"heading-font":"Poppins","navigation-font":"Poppins","content-font":"Poppins","info-font":"Poppins","blog-info-font":"Poppins","quote-font":"ABeeZee","testimonial-font":"Poppins","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","header-font-weight":"","content-font-size":"16px","content-font-weight":"","content-line-height":"1.7","mobile-h1-font-size":"","mobile-h2-font-size":"","mobile-h3-font-size":"","mobile-h4-font-size":"","mobile-h5-font-size":"","mobile-h6-font-size":"","mobile-content-font-size":"","navigation-font-size":"16px","navigation-font-weight":"500","navigation-font-letter-spacing":"","navigation-text-transform":"none","navigation-right-button-font-size":"11px","navigation-right-button-font-weight":"","navigation-right-button-font-letter-spacing":"","navigation-right-button-text-transform":"uppercase","sidebar-title-font-size":"16px","sidebar-title-font-weight":"600","sidebar-title-font-letter-spacing":"0px","sidebar-title-text-transform":"none","footer-title-font-size":"17px","footer-title-font-weight":"700","footer-title-font-letter-spacing":"0px","footer-title-text-transform":"none","footer-font-size":"16px","footer-content-font-weight":"","footer-content-text-transform":"none","copyright-font-size":"15px","copyright-font-weight":"400","copyright-font-letter-spacing":"0px","copyright-text-transform":"none","font-upload":""},"kingster_color":{"header-background-color":"#ffffff","top-cart-background-color":"#232323","top-cart-checkout-color":"#64bee6","secondary-menu-icon-color":"#333333","secondary-menu-border-color":"#333333","main-menu-text-hover-color":"#64bee6","sub-menu-background-color":"#eeeeee","navigation-bar-right-icon-color":"#64bee6","main-menu-text-color":"#303030","woocommerce-theme-color":"#64bee6","woocommerce-price-color":"#707070","woocommerce-button-background-hover-color":"#dc3c3a","add-to-cart-background-color":"#64bee6","widget-price-filter-range-color":"#64bee6","widget-price-filter-handle-color":"#87c9e5","top-bar-social-hover-color":"#dc3c3a","navigation-slide-bar-color":"#dc3c3a","woocommerce-cart-icon-number-background":"#64bee6","woocommerce-cart-icon-number-color":"#ffffff","top-bar-background-color":"#64bee6","top-bar-bottom-border-color":"#ffffff","top-bar-text-color":"#ffffff","top-bar-link-color":"#ffffff","top-bar-link-hover-color":"#ffffff","top-bar-social-color":"#ffffff","header-plain-bottom-border-color":"#e8e8e8","logo-background-color":"#ffffff","search-overlay-background-color":"#000000","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","breadcrumbs-text-color":"#a0a0a0","breadcrumbs-text-active-color":"#64bee6","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","sub-menu-text-color":"#585858","sub-menu-text-hover-color":"#dc3c3a","sub-menu-text-hover-background-color":"#eeeeee","sub-mega-menu-title-color":"#dc3c3a","sub-mega-menu-divider-color":"#dddddd","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-text-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-color":"#64bee6","navigation-right-button-background-hover-color":"#64bee6","navigation-right-button-border-color":"#333333","navigation-right-button-border-hover-color":"#555555","page-preload-background-color":"#ffffff","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#ffffff","page-title-background-overlay-color":"#ffffff","body-content-color":"#6b6b6b","heading-color":"#161616","link-color":"#64bee6","link-hover-color":"#444444","divider-color":"#e6e6e6","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#5e5e5e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#dc3c3a","sidebar-link-hover-color":"#191919","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#5e5e5e","search-box-border-color":"#64bee6","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","custom-menu-widget-list-style-link":"#475267","custom-menu-widget-list-style-link-hover":"#334c7a","custom-menu-widget-list-style-border":"#475267","footer-background-color":"#181818","footer-title-color":"#ffffff","footer-content-color":"#ababab","footer-link-color":"#8d8d8d","footer-link-hover-color":"#ffffff","footer-divider-color":"#363636","copyright-background-color":"#202020","copyright-text-color":"#838383","copyright-link-color":"#dc3c3a","copyright-link-hover-color":"#ffffff","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#d0ebf4","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-style-2-tags-color":"#64bee6","single-blog-navigation-color":"#a5a5a5","single-blog-navigation2-left-overlay":"#64bee6","single-blog-navigation2-overlay":"#64bee6","single-blog-2-related-post-background":"#f5f5f5","single-blog-magazine-tags-text":"#272727","single-blog-magazine-tags-background":"#f2f2f2","single-blog-magazine-author-background":"#f7f7f7","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#444444","blog-title-hover-color":"#64bee6","blog-sticky-banner-color":"#444444","blog-sticky-banner-background":"#f3f3f3","blog-info-color":"#959595","blog-date-day-color":"#353535","blog-date-month-color":"#c3e6f5","blog-frame-background-color":"#ffffff","blog-modern-hover-background-color":"#000","blog-thumbnail-category-background":"#64bee6","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#64bee6","blog-aside-text-color":"#ffffff","pagination-background-color":"#f0f0f0","pagination-text-color":"#919191","pagination-background-hover-color":"#64bee6","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#828282","portfolio-frame-background-color":"#ffffff","portfolio-title-color":"#191919","portfolio-title-hover-color":"","portfolio-info-head-color":"#343434","portfolio-info-color":"#b1b1b1","portfolio-grid2-tag-background":"#64bee6","portfolio-badge-text-color":"#0a0a0a","portfolio-badge-background-color":"#64bee6","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#aaaaaa","portfolio-text-filter-active-color":"#161616","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#191919","portfolio-button-filter-background-active-color":"#64bee6","price-table-background-color":"#ffffff","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#3e3e3e","price-table-icon-color":"#ffffff","price-table-title-color":"#64bee6","price-table-caption-color":"#ffffff","price-table-price-background-color":"#f6f6f6","price-table-price-color":"#323232","price-table-price-suffix-color":"#191919","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#383838","price-table-button-background-top-gradient-color":"#383838","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#64bee6","price-table-active-head-top-gradient-color":"#64bee6","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#64bee6","price-table-active-price-background-color":"#f6f6f6","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#191919","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#64bee6","price-table-active-button-background-top-gradient-color":"#64bee6","accordion-normal-icon-color":"#dc3c3a","accordion-normal-title-head-color":"#dc3c3a","accordion-normal-title-color":"#dc3c3a","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#64bee6","accordion-title-head-color":"#64bee6","accordion-title-color":"#64bee6","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#ffffff","accordion-title-active-color":"#ffffff","accordion-title-background-active-color":"#64bee6","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#64bee6","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#64bee6","blockquote-item-content-color":"#2d2d2d","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#64bee6","button-background-hover-color":"#2F2F2F","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#64bee6","button-top-gradient-background-color":"#64bee6","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#64bee6","dropdown-tab-head-text":"#252525","flipbox-background-color":"#64bee6","flipbox-border-color":"#33a5d6","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#000000","image-overlay-icon-color":"#ffffff","image-overlay-icon-background":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#dc3c3a","personnel-grid-position-color":"#7a7a7a","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#ffffff","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","roadmap-title-color":"#9ccfe5","roadmap-title-active-color":"#ffffff","roadmap-caption-color":"#acd4e5","roadmap-number-text":"#c5c5c5","roadmap-number-background":"#64bee6","roadmap-number-active-text":"#64bee6","roadmap-number-active-background":"#ffffff","roadmap-number-divider":"#ffffff","roadmap-content-title":"#ffffff","roadmap-content-caption":"#90cce5","roadmap-content-color":"#a2d1e5","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#64bee6","slider-outer-navigation-color":"#0c0c0c","slider-outer-navigation-background-color":"#f1f1f1","slider-control-navigation-color":"#8a8a8a","slider-control-navigation-background-color":"#dfdfdf","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#3db166","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#64bee6","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#232323","testimonial-content-color":"#707070","testimonial-author-color":"#3b3b3b","testimonial-rating-color":"#ffa127","testimonial-position-color":"#3b3b3b","testimonial-quote-color":"#64bee6","title-item-title-color":"#161616","title-item-caption-color":"#747474","woocommerce-price-linethrough-color":"#949494","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","widget-price-filter-bar-background-color":"#e6e6e6","skin":[{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#ffffff","icon":"#ffffff","link":"#dc3c3a","link-hover":"#db6967","divider":"","border":"","element-background":"#111111","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Black Text","title":"#000000","title-hover":"","caption":"","content":"#000000","icon":"#0a0a0a","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#ffffff","element-background":"#ffffff","element-content":"#686868","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Title","title":"#192f59","title-hover":"","caption":"#b7b7b7","content":"#163269","icon":"#163269","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Column Service","title":"#ffffff","title-hover":"","caption":"","content":"#ffffff","icon":"","link":"#dc3c3a","link-hover":"#ffffff","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blut Title Column Service","title":"#dc3c3a","title-hover":"","caption":"","content":"#545454","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Personnel","title":"#192f59","title-hover":"","caption":"#7c7c7c","content":"","icon":"","link":"#192f59","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"#ffffff","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"White Title","title":"#ffffff","title-hover":"#eaf7ff","caption":"#c2ecff","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blog HP","title":"#242424","title-hover":"#242424","caption":"#242424","content":"#242424","icon":"","link":"#242424","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Testimonial","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#ffffff","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"blog-grid-divider-color":"#ffd115","tag-cloud-text-color":"#ffffff","tag-cloud-background-color":"#dc3c3a","tag-cloud-border-color":"#dc3c3a","single-blog-title-background-gradient-color":"#000","sidebar-title-background-color":"#ededed","sidebar-title-bottom-border-color":"#64bee6","sidebar-border-color":"#64bee6","tab-image-icon-color":"#64bee6","tab-content-color":"#8c8c8c","tab-content-background-color":"#ffffff","footer-title-divider-color":"#dc3c3a","page-title-background-gradient-color":"#000","video-widget-icon-background":"#64bee6","personnel-position-color":"#4c4c4c","personnel-grid-frame-border-color":"#64bee6","page-title-background-gradient-max-opacity":"1","single-blog-title-background-gradient-max-opacity":"1","course-list-title-color":"#dc3c3a","course-list-id-color":"#64bee6","course-list-info-background-color":"#f2f2f2","course-list-info-title-color":"#3e3e3e","course-list-info-id-color":"#64bee6","course-list-info-info-color":"#6b6b6b","course-list-info-button-color":"#64bee6","course-search-input-background":"#55abd2","course-search-input-text":"#ffffff","course-search-submit-button-background":"#dc3c3a","course-list-title-hover-color":"#64bee6","event-item-date-color":"#64bee6","event-item-month-color":"#242424","event-item-title-color":"#dc3c3a","event-item-info-color":"#64bee6","top-bar-right-button-background-color":"#dc3c3a"},"kingster_plugin":{"enable-srcset":"enable","lightbox":"lightGallery","ilightbox-skin":"dark","link-to-lightbox":"enable","lightbox-video-autoplay":"enable","additional-css":".kingster-comments-area textarea {\n    font-size: 14px;\n}","additional-mobile-css":"","additional-head-script":"","additional-head-script2":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4348","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Thumbnail","width":"700","height":"935","hard-crop":""},{"name":"Personnel Square","width":"500","height":"500","hard-crop":""},{"name":"Gallery Portrait","width":"495","height":"600","hard-crop":""},{"name":"Single Major","width":"1000","height":"365","hard-crop":""}],"disable-cookie-youtube":"disable","privacy-cookie-time":"30","privacy-notification-position":"bottom-bar","privacy-box-button-color":"#1a49a8","privacy-form-logo":"","privacy-form-input-button-color":"#1a49a8","privacy-form-save-button-color":"#1a49a8","consent-item":""}}'
				),
				'highschool' => array(
					'title' => esc_html__('Kingster - High School', 'kingster'),
					'url' => 'https://demo.goodlayers.com/kingster/highschool',
					'xml' => get_template_directory() . '/admin/function/files/highschool.xml',
					'page' => 5957,
					'menu' => array('main_menu' => 63, 'mobile_menu' => 63, 'top_bar_menu' => 65),
					'widget' => '{"gdlrcst_sidebar_name":{"0":{"name":"Blog","id":"blog"},"1":{"name":"Blog Left","id":"blog-left"},"2":{"name":"Blog Right","id":"blog-right"},"3":{"name":"Shop","id":"shop"},"4":{"name":"Donor Sidebar","id":"donor-sidebar"},"14":{"name":"Single Event","id":"single-event"},"15":{"name":"Academic Sidebar","id":"academic-sidebar"}},"sidebars_widgets":{"wp_inactive_widgets":["search-2","recent-posts-2","recent-comments-2","archives-2","categories-2","meta-2"],"gdlr-core-sidebar-preset":["text-18"],"footer-1":["text-2"],"footer-2":["gdlr-core-custom-menu-widget-2"],"footer-3":["gdlr-core-custom-menu-widget-3"],"footer-4":["gdlr-core-custom-menu-widget-4"],"blog":["text-5","gdlr-core-recent-post-widget-1","tag_cloud-1","gdlr-core-recent-portfolio-widget-1"],"blog-left":["search-3","text-6","recent-posts-3"],"blog-right":["text-7","gdlr-core-recent-portfolio-widget-2","tag_cloud-2","gdlr-core-recent-post-widget-2"],"shop":[],"donor-sidebar":["text-15","gdlr-core-video-widget-2"],"single-event":["gdlr-core-recent-event-widget-2","text-36"],"academic-sidebar":["gdlr-core-custom-menu-widget-7","text-24","text-25"],"accounting":["gdlr-core-custom-menu-widget-5","text-19","text-20"],"finance":["gdlr-core-custom-menu-widget-6","text-21","text-22"],"law-sidebar":["text-23"],"international-taxation":["gdlr-core-custom-menu-widget-9","text-28","text-29"],"engineering-sidebar":["text-30"],"construction-management":["gdlr-core-custom-menu-widget-10","text-31","text-32"],"cybersecurity":["gdlr-core-custom-menu-widget-11","text-35","text-34"],"bba-sidebar":[],"array_version":3},"widget_akismet_widget":{"_multiwidget":1},"widget_archives":{"2":{"title":"","count":0,"dropdown":0},"_multiwidget":1},"widget_bcn_widget":{"_multiwidget":1},"widget_calendar":{"_multiwidget":1},"widget_categories":{"2":{"title":"","count":0,"hierarchical":0,"dropdown":0},"_multiwidget":1},"widget_custom_html":{"_multiwidget":1},"widget_gdlr-core-category-background-widget":{"_multiwidget":1},"widget_gdlr-core-custom-menu-widget":{"2":{"title":"Our Campus","menu":"64","style":"plain"},"3":{"title":"Campus Life","menu":"58","style":"plain"},"4":{"title":"Academics","menu":"106","style":"plain"},"5":{"title":"Accounting Major","menu":"107","style":"list"},"6":{"title":"Finance Major","menu":"109","style":"list"},"7":{"title":"Department Menu","menu":"57","style":"list"},"9":{"title":"International Taxation Major","menu":"111","style":"list"},"10":{"title":"Construction Management Major","menu":"112","style":"list"},"11":{"title":"Cybersecurity Major","menu":"113","style":"list"},"_multiwidget":1},"widget_gdlr-core-instagram-widget":{"_multiwidget":1},"widget_gdlr-core-portfolio-slider-widget":{"_multiwidget":1},"widget_gdlr-core-post-slider-widget":{"_multiwidget":1},"widget_gdlr-core-recent-comment-widget":{"_multiwidget":1},"widget_gdlr-core-recent-event-widget":{"2":{"title":"Upcoming Events","category":"","num-fetch":"3"},"_multiwidget":1},"widget_gdlr-core-recent-portfolio-widget":{"1":{"title":"Recent Works","category":"","num-fetch":"6"},"2":{"title":"Our Works","category":"","num-fetch":"4"},"_multiwidget":1},"widget_gdlr-core-recent-post-widget":{"1":{"title":"Recent News","style":"style-1","category":"","num-fetch":"3"},"2":{"title":"Recent News","style":"style-2","category":"","num-fetch":"3"},"_multiwidget":1},"widget_gdlr-core-twitter-widget":{"_multiwidget":1},"widget_gdlr-core-video-widget":{"2":{"title":"Video Presentation","video":"https:\/\/www.youtube.com\/watch?v=C5pKtnmHTxg","thumbnail":"5507","thumbnail-size":"Portfolio Thumbnail"},"_multiwidget":1},"widget_media_audio":{"_multiwidget":1},"widget_media_gallery":{"_multiwidget":1},"widget_media_image":{"_multiwidget":1},"widget_media_video":{"_multiwidget":1},"widget_meta":{"2":{"title":""},"_multiwidget":1},"widget_nav_menu":{"_multiwidget":1},"widget_newsletterwidget":{"_multiwidget":1},"widget_newsletterwidgetminimal":{"_multiwidget":1},"widget_pages":{"_multiwidget":1},"widget_recent-comments":{"2":{"title":"","number":5},"_multiwidget":1},"widget_recent-posts":{"2":{"title":"","number":5},"3":{"title":"Recent Posts","number":5,"show_date":false},"_multiwidget":1},"widget_rev-slider-widget":{"_multiwidget":1},"widget_rss":{"1":[],"_multiwidget":1},"widget_search":{"2":{"title":""},"3":{"title":""},"_multiwidget":1},"widget_simple-section-nav":{"_multiwidget":1},"widget_tag_cloud":{"1":{"title":"Tag Cloud","taxonomy":"post_tag"},"2":{"title":"Tag Cloud","taxonomy":"post_tag"},"_multiwidget":1},"widget_text":{"1":[],"2":{"title":"","text":"<img src=\"https:\/\/demo.goodlayers.com\/kingster\/highschool\/wp-content\/uploads\/2019\/06\/logo-kindergarten.png\" alt=\"\" width=\"280\" class=\"alignnone size-full wp-image-6183\" \/>[gdlr_core_space height=\"-20px\"]\r\nBox 35300\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246\r\n\r\n<span style=\"font-size: 15px; color: #ffffff;\">+1-2534-4456-345<\/span>\r\n[gdlr_core_space height=\"-20px\"]\r\n<a style=\"font-size: 15px; color: #ffffff;\" href=\"mailto:admin@kingsteruni.edu\">admin@kingsteruni.edu<\/a>\r\n\r\n[gdlr_core_divider divider-size=\"2px\" divider-color=\"#c50227\" align=\"left\" ]","filter":true,"visual":true},"5":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"6":{"title":"About Us","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui.","filter":false},"7":{"title":"Text Widget","text":"Nullam quis risus eget urna mollis ornare vel eu leo. Nullam id dolor id nibh ultricies vehicula ut id elit. Donec ullamcorper nulla non metus auctor fringilla. Maecenas sed diam eget.","filter":true,"visual":true},"15":{"title":"","text":"[gdlr_core_button button-text=\"Become A Donor\" button-link=\"#\" button-link-target=\"_blank\" margin-right=\"20px\" border-radius=\"0px\" padding=\"22px 50px 24px\" text-size=\"17px\" text-font-weight=\"700\" text-transform=\"none\" icon-position=\"right\" icon=\"arrow_right\" full-width-button=\"enable\" full-width-button=\"enable\" ]\r\n\r\n[gdlr_core_space height=30px]\r\n\r\n[gdlr_widget_box background=\"#1c1b3b\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #ffffff; margin-bottom: 15px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #ffffff; font-size: 16px; font-weight: 600;\">Office Of Development<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #ffffff;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #ffffff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#c50227\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"18":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Bachelor Of Science in Business Administration<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"19":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Bachelor Of Science in Business Administration<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"20":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Accounting Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"21":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Bachelor Of Science in Business Administration<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"22":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Accounting Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"23":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">School Of Law<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"25":{"title":"","text":"[gdlr_widget_box border-color=\"#c50227\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">SOL Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"24":{"title":"","text":"[gdlr_widget_box background=\"#1c1b3b\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"font-size: 15px;\">1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #ffffff;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#c50227\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"28":{"title":"","text":"[gdlr_widget_box background=\"#192f59\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">School Of Law<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"29":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">SOL Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"30":{"title":"","text":"[gdlr_widget_box background=\"#192f59\" color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Engineering<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"31":{"title":"","text":"[gdlr_widget_box background=\"#192f59\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Engineering<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"32":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Engineering Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"34":{"title":"","text":"[gdlr_widget_box border-color=\"#3db166\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Engineering Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"35":{"title":"","text":"[gdlr_widget_box background=\"#192f59\"\u00a0 color=\"#ffffff\" padding=\"30px 45px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 25px;\">Department Contact Info<\/h3>\r\n<span style=\"color: #3db166; font-size: 16px; font-weight: 600;\">Engineering<\/span>\r\n<span style=\"font-size: 15px;\">\r\n1810 Campus Way NE\r\nBothell, WA 98011-8246<\/span>\r\n\r\n<span style=\"font-size: 15px;\">+1-2345-5432-45\r\nbsba@kuuniver.edu\r\n<\/span>\r\n\r\n<span style=\"font-size: 16px; color: #3db166;\">Mon - Fri 9:00A.M. - 5:00P.M.<\/span>\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n<h3 style=\"font-size: 20px; color: #fff; margin-bottom: 15px;\">Social Info<\/h3>\r\n[gdlr_core_social_network facebook=\"#url\" twitter=\"#url\" linkedin=\"#\" skype=\"#\" instagram=\"#\" google-plus=\"#\" icon-color=\"#3db166\"]\r\n\r\n[gdlr_core_space height=\"40px\"]\r\n\r\n[gdlr_core_button button-text=\"Student Resources\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" ]\r\n\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"36":{"title":"","text":"[gdlr_core_space height=\"-50px\"][gdlr_widget_box border-color=\"#1c1b3b\" border-width=\"5px\" text-align=\"center\" padding=\"55px 0 35px\"]\r\n<span style=\"font-size: 17px; font-weight: 600; color: #9ba7bf; text-transform: uppercase;\">Join Special Event<\/span>\r\n<span style=\"font-size: 20px; font-weight: bold; color: #192f59; text-transform: uppercase;\">Engineering Open House<\/span>\r\n[gdlr_core_space height=\"18px\"]<span style=\"font-size: 15px;\">Get real experience in our campus\r\nstart in 16 August 2020<\/span>\r\n[gdlr_core_space height=\"5px\"]\r\n[gdlr_core_button button-text=\"Click to see more\" button-link=\"#\" button-link-target=\"_self\" margin-right=\"20px\" border-radius=\"2px\" padding=\"16px 27px 18px\" margin-right=\"0\"]\r\n[\/gdlr_widget_box]","filter":true,"visual":true},"_multiwidget":1},"widget_tribe-events-list-widget":{"_multiwidget":1},"widget_woocommerce_layered_nav":{"_multiwidget":1},"widget_woocommerce_layered_nav_filters":{"_multiwidget":1},"widget_woocommerce_price_filter":{"1":{"title":"Filter by price"},"_multiwidget":1},"widget_woocommerce_product_categories":{"1":{"title":"Product categories","orderby":"name","dropdown":0,"count":0,"hierarchical":1,"show_children_only":0,"hide_empty":0,"max_depth":""},"_multiwidget":1},"widget_woocommerce_product_search":{"_multiwidget":1},"widget_woocommerce_product_tag_cloud":{"_multiwidget":1},"widget_woocommerce_products":{"_multiwidget":1},"widget_woocommerce_rating_filter":{"_multiwidget":1},"widget_woocommerce_recent_reviews":{"_multiwidget":1},"widget_woocommerce_recently_viewed_products":{"_multiwidget":1},"widget_woocommerce_top_rated_products":{"_multiwidget":1},"widget_woocommerce_widget_cart":{"1":{"title":"Cart","hide_if_empty":0},"_multiwidget":1},"widget_wpgmp_google_map_widget_class":{"_multiwidget":1}}',
					'theme-option' => '{"kingster_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-image-opacity":"100","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1360px","container-padding":"20px","sidebar-title-divider":"enable","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"disable","top-bar-width":"boxed","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"15px","top-bar-menu-position":"right","top-bar-left-text":"[gdlr_core_icon icon=\"fa fa-envelope-open-o\" size=\"15px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"8px\" ] contact@KingsterKids.edu [gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"18px\" margin-right=\"6px\" ] +1-3435-2356-222","top-bar-right-text":"","top-bar-right-button-text":"Support KU","top-bar-right-button-link":"\/kingster\/highschool\/give-to-kingster\/","top-bar-right-button-target":"_blank","top-bar-top-padding":"24px","top-bar-bottom-padding":"26px","top-bar-text-size":"15px","top-bar-bottom-border":"0px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"","top-bar-social-flickr":"","top-bar-social-google-plus":"","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"menu-right","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"transparent","top-bar-background-opacity":"100","header-background-opacity":"0","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"15px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"30px","navigation-text-top-margin":"0px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"18px","navigation-left-offset":"0","navigation-slide-bar":"enable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"6183","logo-top-padding":"35px","logo-bottom-padding":"28px","logo-left-padding":"","max-logo-width":"380px","mobile-logo":"","max-mobile-logo-width":"180px","mobile-logo-position":"logo-left","main-navigation-top-padding":"55px","main-navigation-bottom-padding":"20px","main-navigation-item-right-padding":"0px","main-navigation-right-padding":"","enable-main-navigation-submenu-indicator":"disable","navigation-right-top-margin":"6px","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-style":"default","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","fixed-navigation-bar-logo":"","fixed-navigation-max-logo-width":"220px","fixed-navigation-logo-top-padding":"22px","fixed-navigation-logo-bottom-padding":"24px","fixed-navigation-top-padding":"30px","fixed-navigation-bottom-padding":"28px","fixed-navigation-anchor-offset":"75px","enable-mobile-navigation-sticky":"enable","default-title-style":"medium","default-title-align":"left","default-title-top-padding":"60px","default-title-bottom-padding":"60px","default-page-caption-top-margin":"4px","default-title-font-transform":"none","default-title-font-size":"43px","default-title-font-weight":"700","default-title-letter-spacing":"0px","default-caption-font-transform":"none","default-caption-font-size":"21px","default-caption-font-weight":"400","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"0","default-title-background":"6202","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"93px","default-blog-title-bottom-padding":"87px","default-blog-feature-image":"content","default-blog-title-background-image":"6197","default-blog-top-bottom-gradient":"enable","single-blog-title-top-gradient-size":"242px","single-blog-title-bottom-gradient-size":"333px","default-blog-title-background-overlay-opacity":"25","blog-style":"style-1","blockquote-style":"style-1","blog-sidebar":"none","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"gdlr-core-sidebar-preset","blog-max-content-width":"900px","blog-thumbnail-size":"full","blog-date-feature":"enable","blog-date-feature-year":"disable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","enable-related-post":"enable","related-post-blog-style":"blog-column-with-frame","related-post-blog-column-style":"style-1","related-post-column-size":"20","related-post-meta-option":["date","author","category","comment-number"],"related-post-thumbnail-size":"full","related-post-num-fetch":"3","related-post-excerpt-number":"0","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-style":"style-1","archive-blog-side-thumbnail-style":"style-1","archive-blog-column-style":"style-1","archive-blog-image-style":"style-1","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","archive-blog-title-font-size":"","archive-blog-title-font-weight":"","archive-blog-title-letter-spacing":"","archive-blog-title-text-transform":"none","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"shop","woocommerce-archive-column-size":"30","woocommerce-archive-thumbnail":"Portfolio Thumbnail Portrait 2","woocommerce-related-product-column-size":"20","woocommerce-related-product-num-fetch":"8","woocommerce-related-product-thumbnail":"Portfolio Thumbnail Portrait","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","enable-single-portfolio-navigation-in-same-tag":"enable","portfolio-icon-hover-link":"icon_link_alt","portfolio-icon-hover-video":"icon_film","portfolio-icon-hover-image":"arrow_expand","portfolio-icon-hover-size":"22px","enable-related-portfolio":"enable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-background":"","enable-footer-column-divider":"disable","footer-top-padding":"70px","footer-bottom-padding":"50px","footer-style":"footer-2","enable-copyright":"enable","copyright-style":"left-right","copyright-top-padding":"33px","copyright-bottom-padding":"33px","copyright-text":"","copyright-left":"Copyright All Right Reserved 2018, GoodLayers","copyright-right":"[gdlr_core_social_network facebook=\"#\" twitter=\"#\" linkedin=\"#\" skype=\"#\" instagram=\"#\" \ngoogle-plus=\"#\"]","enable-back-to-top":"disable","enable-breadcrumbs":"disable","breadcrumbs-top-padding":"25px","breadcrumbs-bottom-padding":"25px","enable-default-title-background":"enable","header-plain-bottom-shadow":"disable","page-title-top-bottom-gradient":"none","page-title-top-gradient-size":"413px","page-title-bottom-gradient-size":"413px","course-search-page":"5926","course-search-num-fetch":"9","course-search-info":["department","level","instructor","semester","credit"],"course-search-title-color":"#ffffff","course-search-frame-background":"6241","default-event-title-background":"","default-event-sidebar":"right","default-event-sidebar-left":"gdlr-core-sidebar-preset","default-event-sidebar-right":"single-event","course-search-item-fields":["keywords","course-id","department","level","instructor","semester","credit"],"max-tablet-logo-width":"300px"},"kingster_typography":{"heading-font":"Poppins","navigation-font":"Poppins","content-font":"Poppins","info-font":"Poppins","blog-info-font":"Poppins","quote-font":"ABeeZee","testimonial-font":"Poppins","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","header-font-weight":"","content-font-size":"16px","content-font-weight":"","content-line-height":"1.7","mobile-h1-font-size":"","mobile-h2-font-size":"","mobile-h3-font-size":"","mobile-h4-font-size":"","mobile-h5-font-size":"","mobile-h6-font-size":"","mobile-content-font-size":"","navigation-font-size":"16px","navigation-font-weight":"600","navigation-font-letter-spacing":"0px","navigation-text-transform":"none","navigation-right-button-font-size":"11px","navigation-right-button-font-weight":"","navigation-right-button-font-letter-spacing":"","navigation-right-button-text-transform":"uppercase","sidebar-title-font-size":"16px","sidebar-title-font-weight":"600","sidebar-title-font-letter-spacing":"0px","sidebar-title-text-transform":"none","footer-title-font-size":"17px","footer-title-font-weight":"700","footer-title-font-letter-spacing":"0px","footer-title-text-transform":"none","footer-font-size":"16px","footer-content-font-weight":"","footer-content-text-transform":"none","copyright-font-size":"15px","copyright-font-weight":"400","copyright-font-letter-spacing":"0px","copyright-text-transform":"none","font-upload":""},"kingster_color":{"header-background-color":"#1c1b3b","top-cart-background-color":"#232323","top-cart-checkout-color":"#c50227","secondary-menu-icon-color":"#ffffff","secondary-menu-border-color":"#333333","main-menu-text-hover-color":"#ffffff","sub-menu-background-color":"#eeeeee","navigation-bar-right-icon-color":"#ffffff","main-menu-text-color":"#bfbfbf","woocommerce-theme-color":"#c50227","woocommerce-price-color":"#707070","woocommerce-button-background-hover-color":"#990129","add-to-cart-background-color":"#c50227","widget-price-filter-range-color":"#c50227","widget-price-filter-handle-color":"#910127","top-bar-social-hover-color":"#c50227","navigation-slide-bar-color":"#c50227","woocommerce-cart-icon-number-background":"#c50227","woocommerce-cart-icon-number-color":"#ffffff","top-bar-background-color":"#1c1b3b","top-bar-bottom-border-color":"#ffffff","top-bar-text-color":"#ffffff","top-bar-link-color":"#ffffff","top-bar-link-hover-color":"#ffffff","top-bar-social-color":"#ffffff","header-plain-bottom-border-color":"#e8e8e8","logo-background-color":"#ffffff","search-overlay-background-color":"#000000","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","breadcrumbs-text-color":"#a0a0a0","breadcrumbs-text-active-color":"#c50227","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","sub-menu-text-color":"#585858","sub-menu-text-hover-color":"#c50227","sub-menu-text-hover-background-color":"#eeeeee","sub-mega-menu-title-color":"#c50227","sub-mega-menu-divider-color":"#dddddd","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-text-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-color":"#c50227","navigation-right-button-background-hover-color":"#c50227","navigation-right-button-border-color":"#333333","navigation-right-button-border-hover-color":"#555555","page-preload-background-color":"#ffffff","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#e8e8e8","page-title-background-overlay-color":"#ffffff","body-content-color":"#6b6b6b","heading-color":"#161616","link-color":"#c50227","link-hover-color":"#1c1b3b","divider-color":"#e6e6e6","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#5e5e5e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#1c1b3b","sidebar-link-hover-color":"#191919","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#5e5e5e","search-box-border-color":"#c50227","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","custom-menu-widget-list-style-link":"#475267","custom-menu-widget-list-style-link-hover":"#334c7a","custom-menu-widget-list-style-border":"#475267","footer-background-color":"#181818","footer-title-color":"#ffffff","footer-content-color":"#ababab","footer-link-color":"#8d8d8d","footer-link-hover-color":"#ffffff","footer-divider-color":"#363636","copyright-background-color":"#202020","copyright-text-color":"#838383","copyright-link-color":"#c50227","copyright-link-hover-color":"#ffffff","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-style-2-tags-color":"#c50227","single-blog-navigation-color":"#a5a5a5","single-blog-navigation2-left-overlay":"#c50227","single-blog-navigation2-overlay":"#c50227","single-blog-2-related-post-background":"#f5f5f5","single-blog-magazine-tags-text":"#272727","single-blog-magazine-tags-background":"#f2f2f2","single-blog-magazine-author-background":"#f7f7f7","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#353372","blog-title-hover-color":"#c50227","blog-sticky-banner-color":"#444444","blog-sticky-banner-background":"#f3f3f3","blog-info-color":"#959595","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-hover-background-color":"#000","blog-thumbnail-category-background":"#c50227","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#c50227","blog-aside-text-color":"#ffffff","pagination-background-color":"#f0f0f0","pagination-text-color":"#919191","pagination-background-hover-color":"#c50227","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#828282","portfolio-frame-background-color":"#ffffff","portfolio-title-color":"#191919","portfolio-title-hover-color":"","portfolio-info-head-color":"#343434","portfolio-info-color":"#b1b1b1","portfolio-grid2-tag-background":"#1c1b3b","portfolio-badge-text-color":"#0a0a0a","portfolio-badge-background-color":"#1c1b3b","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#aaaaaa","portfolio-text-filter-active-color":"#161616","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#191919","portfolio-button-filter-background-active-color":"#1c1b3b","price-table-background-color":"#ffffff","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#3e3e3e","price-table-icon-color":"#ffffff","price-table-title-color":"#c50227","price-table-caption-color":"#ffffff","price-table-price-background-color":"#f6f6f6","price-table-price-color":"#323232","price-table-price-suffix-color":"#191919","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#383838","price-table-button-background-top-gradient-color":"#383838","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#c50227","price-table-active-head-top-gradient-color":"#c50227","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#c46a79","price-table-active-price-background-color":"#f6f6f6","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#191919","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#c50227","price-table-active-button-background-top-gradient-color":"#c43a54","accordion-normal-icon-color":"#c50227","accordion-normal-title-head-color":"#c50227","accordion-normal-title-color":"#c50227","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#c50227","accordion-title-head-color":"#c50227","accordion-title-color":"#c50227","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#ffffff","accordion-title-active-color":"#ffffff","accordion-title-background-active-color":"#c50227","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#c50227","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#c50227","blockquote-item-content-color":"#2d2d2d","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#c50227","button-background-hover-color":"#2F2F2F","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#c50227","button-top-gradient-background-color":"#c42744","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#c50227","dropdown-tab-head-text":"#252525","flipbox-background-color":"#c50227","flipbox-border-color":"#ad012f","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#000000","image-overlay-icon-color":"#ffffff","image-overlay-icon-background":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#192f59","personnel-grid-position-color":"#7a7a7a","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#ffffff","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","roadmap-title-color":"#c47f8d","roadmap-title-active-color":"#ffffff","roadmap-caption-color":"#c47f8d","roadmap-number-text":"#c5c5c5","roadmap-number-background":"#c50227","roadmap-number-active-text":"#c50227","roadmap-number-active-background":"#ffffff","roadmap-number-divider":"#ffffff","roadmap-content-title":"#ffffff","roadmap-content-caption":"#79af8f","roadmap-content-color":"#82af96","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#c50227","slider-outer-navigation-color":"#0c0c0c","slider-outer-navigation-background-color":"#f1f1f1","slider-control-navigation-color":"#8a8a8a","slider-control-navigation-background-color":"#dfdfdf","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#3db166","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#c50227","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#232323","testimonial-content-color":"#707070","testimonial-author-color":"#3b3b3b","testimonial-rating-color":"#ffa127","testimonial-position-color":"#3b3b3b","testimonial-quote-color":"#c50227","title-item-title-color":"#161616","title-item-caption-color":"#747474","woocommerce-price-linethrough-color":"#949494","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","widget-price-filter-bar-background-color":"#e6e6e6","skin":[{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#ffffff","icon":"#ffffff","link":"#c50227","link-hover":"#c50227","divider":"","border":"","element-background":"#111111","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Black Text","title":"#000000","title-hover":"","caption":"","content":"#000000","icon":"#0a0a0a","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#1a2742","element-background":"#1a2742","element-content":"#94a8d1","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Column Service","title":"#ffffff","title-hover":"","caption":"","content":"#ffffff","icon":"","link":"#ffffff","link-hover":"#ededed","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blut Title Column Service","title":"#1c1b3b","title-hover":"","caption":"","content":"#545454","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Personnel","title":"#192f59","title-hover":"","caption":"#7c7c7c","content":"","icon":"","link":"#192f59","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"#ffffff","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"White Title","title":"#ffffff","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"COLUMN SCHOOL LIFE","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#ffffff","icon":"#ffffff","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"SUBSCRIBE","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#f2f2f2","element-background":"#f2f2f2","element-content":"","button-text":"#ffffff","button-text-hover":"#ffffff","button-background":"#c50227","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"blog-grid-divider-color":"#ffd115","tag-cloud-text-color":"#ffffff","tag-cloud-background-color":"#c50227","tag-cloud-border-color":"#c50227","single-blog-title-background-gradient-color":"#000","sidebar-title-background-color":"#ededed","sidebar-title-bottom-border-color":"#c50227","sidebar-border-color":"#c50227","tab-image-icon-color":"#c50227","tab-content-color":"#8c8c8c","tab-content-background-color":"#ffffff","footer-title-divider-color":"#c50227","page-title-background-gradient-color":"#000","video-widget-icon-background":"#c50227","personnel-position-color":"#4c4c4c","personnel-grid-frame-border-color":"#c50227","page-title-background-gradient-max-opacity":"1","single-blog-title-background-gradient-max-opacity":"1","course-list-title-color":"#c50227","course-list-id-color":"#c50227","course-list-info-background-color":"#f2f2f2","course-list-info-title-color":"#3e3e3e","course-list-info-id-color":"#c50227","course-list-info-info-color":"#6b6b6b","course-list-info-button-color":"#c50227","course-search-input-background":"#0d0c3e","course-search-input-text":"#b1c0e0","course-search-submit-button-background":"#c50227","course-list-title-hover-color":"#1c1b3b","event-item-date-color":"#c50227","event-item-month-color":"#1c1b3b","event-item-title-color":"#1c1b3b","event-item-info-color":"#c50227","top-bar-right-button-background-color":"#c50227"},"kingster_plugin":{"enable-srcset":"enable","lightbox":"lightGallery","ilightbox-skin":"dark","link-to-lightbox":"enable","lightbox-video-autoplay":"enable","additional-css":"","additional-mobile-css":"","additional-head-script":"","additional-head-script2":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4348","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Thumbnail","width":"700","height":"935","hard-crop":""},{"name":"Personnel Square","width":"500","height":"500","hard-crop":""},{"name":"Gallery Portrait","width":"495","height":"600","hard-crop":""},{"name":"Single Major","width":"1000","height":"365","hard-crop":""}],"disable-cookie-youtube":"disable","privacy-cookie-time":"30","privacy-notification-position":"bottom-bar","privacy-box-button-color":"#1a49a8","privacy-form-logo":"","privacy-form-input-button-color":"#1a49a8","privacy-form-save-button-color":"#1a49a8","consent-item":""}}'
				),
			);
		}
	}

	// add action when finish install plugins
	add_action('kingster_tgmpa_no_item_redirect', 'kingster_tgmpa_no_item_redirect');
	if( !function_exists('kingster_tgmpa_no_item_redirect') ){
		function kingster_tgmpa_no_item_redirect(){
			echo '<script type="text/javascript">';
			echo 'window.location = \'' . admin_url('admin.php?page=gdlr_core_getting_start') . '\';';
			echo '</script>';
		}
	}


	// install required plugin and redirect to getting start page
	add_action('after_switch_theme', 'kingster_getting_start_redirect'); 	
	if( !function_exists('kingster_getting_start_redirect') ){
		function kingster_getting_start_redirect(){

			$default_theme_option = '{"kingster_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-image-opacity":"100","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1360px","container-padding":"20px","sidebar-title-divider":"enable","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"disable","top-bar-width":"boxed","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"15px","top-bar-menu-position":"right","top-bar-left-text":"","top-bar-right-text":"","top-bar-right-button-text":"Support KU","top-bar-right-button-link":"","top-bar-right-button-target":"_blank","top-bar-top-padding":"18px","top-bar-bottom-padding":"18px","top-bar-text-size":"15px","top-bar-bottom-border":"0px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"","top-bar-social-flickr":"","top-bar-social-google-plus":"","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"menu-right","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"solid","top-bar-background-opacity":"50","header-background-opacity":"50","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"15px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"30px","navigation-text-top-margin":"0px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"18px","navigation-left-offset":"0","navigation-slide-bar":"enable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"","logo-top-padding":"24px","logo-bottom-padding":"28px","logo-left-padding":"","max-logo-width":"330px","mobile-logo":"","max-mobile-logo-width":"180px","mobile-logo-position":"logo-left","main-navigation-top-padding":"37px","main-navigation-bottom-padding":"34px","main-navigation-item-right-padding":"0px","main-navigation-right-padding":"","enable-main-navigation-submenu-indicator":"disable","navigation-right-top-margin":"6px","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-style":"default","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","fixed-navigation-bar-logo":"","fixed-navigation-max-logo-width":"220px","fixed-navigation-logo-top-padding":"23px","fixed-navigation-logo-bottom-padding":"20px","fixed-navigation-top-padding":"30px","fixed-navigation-bottom-padding":"25px","fixed-navigation-anchor-offset":"75px","enable-mobile-navigation-sticky":"enable","default-title-style":"medium","default-title-align":"left","default-title-top-padding":"60px","default-title-bottom-padding":"60px","default-page-caption-top-margin":"4px","default-title-font-transform":"none","default-title-font-size":"43px","default-title-font-weight":"700","default-title-letter-spacing":"0px","default-caption-font-transform":"none","default-caption-font-size":"21px","default-caption-font-weight":"400","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"0","default-title-background":"","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"93px","default-blog-title-bottom-padding":"87px","default-blog-feature-image":"content","default-blog-title-background-image":"","default-blog-top-bottom-gradient":"enable","single-blog-title-top-gradient-size":"242px","single-blog-title-bottom-gradient-size":"333px","default-blog-title-background-overlay-opacity":"25","blog-style":"style-1","blockquote-style":"style-1","blog-sidebar":"none","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"gdlr-core-sidebar-preset","blog-max-content-width":"900px","blog-thumbnail-size":"full","blog-date-feature":"enable","blog-date-feature-year":"disable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","enable-related-post":"enable","related-post-blog-style":"blog-column-with-frame","related-post-blog-column-style":"style-1","related-post-column-size":"20","related-post-meta-option":["date","author","category","comment-number"],"related-post-thumbnail-size":"full","related-post-num-fetch":"3","related-post-excerpt-number":"0","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-style":"style-1","archive-blog-side-thumbnail-style":"style-1","archive-blog-column-style":"style-1","archive-blog-image-style":"style-1","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","archive-blog-title-font-size":"","archive-blog-title-font-weight":"","archive-blog-title-letter-spacing":"","archive-blog-title-text-transform":"none","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"shop","woocommerce-archive-column-size":"30","woocommerce-archive-thumbnail":"Portfolio Thumbnail Portrait 2","woocommerce-related-product-column-size":"20","woocommerce-related-product-num-fetch":"8","woocommerce-related-product-thumbnail":"Portfolio Thumbnail Portrait","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","enable-single-portfolio-navigation-in-same-tag":"enable","portfolio-icon-hover-link":"icon_link_alt","portfolio-icon-hover-video":"icon_film","portfolio-icon-hover-image":"arrow_expand","portfolio-icon-hover-size":"22px","enable-related-portfolio":"enable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-background":"","enable-footer-column-divider":"disable","footer-top-padding":"70px","footer-bottom-padding":"50px","footer-style":"footer-2","enable-copyright":"enable","copyright-style":"left-right","copyright-top-padding":"33px","copyright-bottom-padding":"33px","copyright-text":"","copyright-left":"Copyright All Right Reserved 2018, GoodLayers","copyright-right":"","enable-back-to-top":"disable","enable-breadcrumbs":"disable","breadcrumbs-top-padding":"25px","breadcrumbs-bottom-padding":"25px","enable-default-title-background":"enable","header-plain-bottom-shadow":"enable","page-title-top-bottom-gradient":"none","page-title-top-gradient-size":"413px","page-title-bottom-gradient-size":"413px","course-search-page":"5926","course-search-num-fetch":"9","course-search-info":["department","campus","level","instructor","semester","credit","method"],"course-search-title-color":"#ffffff","course-search-frame-background":"6022","default-event-title-background":"","default-event-sidebar":"right","default-event-sidebar-left":"gdlr-core-sidebar-preset","default-event-sidebar-right":"single-event","course-search-item-fields":["keywords","course-id","department","campus","level","instructor","semester","credit","method"]},"kingster_typography":{"heading-font":"Poppins","navigation-font":"Poppins","content-font":"Poppins","info-font":"Poppins","blog-info-font":"Poppins","quote-font":"ABeeZee","testimonial-font":"Poppins","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","header-font-weight":"","content-font-size":"16px","content-font-weight":"","content-line-height":"1.7","mobile-h1-font-size":"","mobile-h2-font-size":"","mobile-h3-font-size":"","mobile-h4-font-size":"","mobile-h5-font-size":"","mobile-h6-font-size":"","mobile-content-font-size":"","navigation-font-size":"16px","navigation-font-weight":"500","navigation-font-letter-spacing":"","navigation-text-transform":"none","navigation-right-button-font-size":"11px","navigation-right-button-font-weight":"","navigation-right-button-font-letter-spacing":"","navigation-right-button-text-transform":"uppercase","sidebar-title-font-size":"16px","sidebar-title-font-weight":"600","sidebar-title-font-letter-spacing":"0px","sidebar-title-text-transform":"none","footer-title-font-size":"17px","footer-title-font-weight":"700","footer-title-font-letter-spacing":"0px","footer-title-text-transform":"none","footer-font-size":"16px","footer-content-font-weight":"","footer-content-text-transform":"none","copyright-font-size":"15px","copyright-font-weight":"400","copyright-font-letter-spacing":"0px","copyright-text-transform":"none"},"kingster_color":{"header-background-color":"#ffffff","top-cart-background-color":"#232323","top-cart-checkout-color":"#3db166","secondary-menu-icon-color":"#333333","secondary-menu-border-color":"#333333","main-menu-text-hover-color":"#3db166","sub-menu-background-color":"#eeeeee","navigation-bar-right-icon-color":"#192f59","main-menu-text-color":"#163269","woocommerce-theme-color":"#3db166","woocommerce-price-color":"#707070","woocommerce-button-background-hover-color":"#3db166","add-to-cart-background-color":"#3db166","widget-price-filter-range-color":"#3db166","widget-price-filter-handle-color":"#3db166","top-bar-social-hover-color":"#3db166","navigation-slide-bar-color":"#3db166","woocommerce-cart-icon-number-background":"#3db166","woocommerce-cart-icon-number-color":"#ffffff","top-bar-background-color":"#192f59","top-bar-bottom-border-color":"#ffffff","top-bar-text-color":"#96a2b8","top-bar-link-color":"#919bad","top-bar-link-hover-color":"#ffffff","top-bar-social-color":"#ffffff","header-plain-bottom-border-color":"#e8e8e8","logo-background-color":"#ffffff","search-overlay-background-color":"#000000","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","breadcrumbs-text-color":"#a0a0a0","breadcrumbs-text-active-color":"#3db166","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","sub-menu-text-color":"#585858","sub-menu-text-hover-color":"#223c6c","sub-menu-text-hover-background-color":"#eeeeee","sub-mega-menu-title-color":"#192f59","sub-mega-menu-divider-color":"#dddddd","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-text-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-color":"#192f59","navigation-right-button-background-hover-color":"#1c4c72","navigation-right-button-border-color":"#333333","navigation-right-button-border-hover-color":"#555555","page-preload-background-color":"#ffffff","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#3db166","page-title-background-overlay-color":"#ffffff","body-content-color":"#6b6b6b","heading-color":"#161616","link-color":"#545454","link-hover-color":"#60c988","divider-color":"#e6e6e6","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#5e5e5e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#475267","sidebar-link-hover-color":"#191919","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#5e5e5e","search-box-border-color":"#3db166","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","custom-menu-widget-list-style-link":"#475267","custom-menu-widget-list-style-link-hover":"#334c7a","custom-menu-widget-list-style-border":"#475267","footer-background-color":"#181818","footer-title-color":"#ffffff","footer-content-color":"#ababab","footer-link-color":"#8d8d8d","footer-link-hover-color":"#ffffff","footer-divider-color":"#363636","copyright-background-color":"#202020","copyright-text-color":"#838383","copyright-link-color":"#50bd77","copyright-link-hover-color":"#ffffff","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-style-2-tags-color":"#3db166","single-blog-navigation-color":"#a5a5a5","single-blog-navigation2-left-overlay":"#3db166","single-blog-navigation2-overlay":"#3db166","single-blog-2-related-post-background":"#f5f5f5","single-blog-magazine-tags-text":"#272727","single-blog-magazine-tags-background":"#f2f2f2","single-blog-magazine-author-background":"#f7f7f7","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#444444","blog-title-hover-color":"#3db166","blog-sticky-banner-color":"#444444","blog-sticky-banner-background":"#f3f3f3","blog-info-color":"#959595","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-hover-background-color":"#000","blog-thumbnail-category-background":"#3db166","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#3db166","blog-aside-text-color":"#ffffff","pagination-background-color":"#f0f0f0","pagination-text-color":"#919191","pagination-background-hover-color":"#3db166","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#828282","portfolio-frame-background-color":"#ffffff","portfolio-title-color":"#191919","portfolio-title-hover-color":"","portfolio-info-head-color":"#343434","portfolio-info-color":"#b1b1b1","portfolio-grid2-tag-background":"#3db166","portfolio-badge-text-color":"#0a0a0a","portfolio-badge-background-color":"#3db166","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#aaaaaa","portfolio-text-filter-active-color":"#161616","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#191919","portfolio-button-filter-background-active-color":"#3db166","price-table-background-color":"#ffffff","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#3e3e3e","price-table-icon-color":"#ffffff","price-table-title-color":"#3db166","price-table-caption-color":"#ffffff","price-table-price-background-color":"#f6f6f6","price-table-price-color":"#323232","price-table-price-suffix-color":"#191919","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#383838","price-table-button-background-top-gradient-color":"#383838","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#3db166","price-table-active-head-top-gradient-color":"#3db166","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#085e4d","price-table-active-price-background-color":"#f6f6f6","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#191919","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#3db166","price-table-active-button-background-top-gradient-color":"#49b777","accordion-normal-icon-color":"#3db166","accordion-normal-title-head-color":"#3db166","accordion-normal-title-color":"#3db166","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#3db166","accordion-title-head-color":"#3db166","accordion-title-color":"#3db166","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#ffffff","accordion-title-active-color":"#ffffff","accordion-title-background-active-color":"#3db166","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#3db166","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#3db166","blockquote-item-content-color":"#2d2d2d","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#3db166","button-background-hover-color":"#2F2F2F","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#3db166","button-top-gradient-background-color":"#57ba73","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#3db166","dropdown-tab-head-text":"#252525","flipbox-background-color":"#3db166","flipbox-border-color":"#339655","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#000000","image-overlay-icon-color":"#ffffff","image-overlay-icon-background":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#192f59","personnel-grid-position-color":"#7a7a7a","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#ffffff","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","roadmap-title-color":"#8fc9a2","roadmap-title-active-color":"#ffffff","roadmap-caption-color":"#89c49e","roadmap-number-text":"#c5c5c5","roadmap-number-background":"#3db166","roadmap-number-active-text":"#3db166","roadmap-number-active-background":"#ffffff","roadmap-number-divider":"#ffffff","roadmap-content-title":"#ffffff","roadmap-content-caption":"#79af8f","roadmap-content-color":"#82af96","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#3db166","slider-outer-navigation-color":"#0c0c0c","slider-outer-navigation-background-color":"#f1f1f1","slider-control-navigation-color":"#8a8a8a","slider-control-navigation-background-color":"#dfdfdf","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#3db166","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#3db166","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#232323","testimonial-content-color":"#707070","testimonial-author-color":"#3b3b3b","testimonial-rating-color":"#ffa127","testimonial-position-color":"#3b3b3b","testimonial-quote-color":"#3db166","title-item-title-color":"#161616","title-item-caption-color":"#747474","woocommerce-price-linethrough-color":"#949494","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","widget-price-filter-bar-background-color":"#e6e6e6","skin":[{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#ffffff","icon":"#ffffff","link":"#3db166","link-hover":"#3db166","divider":"","border":"","element-background":"#111111","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Black Text","title":"#000000","title-hover":"","caption":"","content":"#000000","icon":"#0a0a0a","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#1a2742","element-background":"#1a2742","element-content":"#94a8d1","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Title","title":"#192f59","title-hover":"","caption":"#b7b7b7","content":"#163269","icon":"#163269","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Column Service","title":"#ffffff","title-hover":"","caption":"","content":"#d4e1fa","icon":"","link":"#3db166","link-hover":"#ffffff","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blut Title Column Service","title":"#192f59","title-hover":"","caption":"","content":"#545454","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Green Title","title":"#3db166","title-hover":"","caption":"","content":"#707070","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Green Form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#3db166","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Personnel","title":"#192f59","title-hover":"","caption":"#7c7c7c","content":"","icon":"","link":"#192f59","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"#ffffff","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Column White","title":"#ffffff","title-hover":"","caption":"#a6a6a6","content":"#a8a8a8","icon":"","link":"#3db166","link-hover":"#ffffff","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter HP 2","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#f2f2f2","element-background":"#f2f2f2","element-content":"#3f3f3f","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"White Title","title":"#ffffff","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"blog-grid-divider-color":"#ffd115","tag-cloud-text-color":"#ffffff","tag-cloud-background-color":"#3db166","tag-cloud-border-color":"#3db166","single-blog-title-background-gradient-color":"#000","sidebar-title-background-color":"#ededed","sidebar-title-bottom-border-color":"#3db166","sidebar-border-color":"#3db166","tab-image-icon-color":"#50bd77","tab-content-color":"#8c8c8c","tab-content-background-color":"#ffffff","footer-title-divider-color":"#3db166","page-title-background-gradient-color":"#000","video-widget-icon-background":"#3db166","personnel-position-color":"#4c4c4c","personnel-grid-frame-border-color":"#3db166","page-title-background-gradient-max-opacity":"1","single-blog-title-background-gradient-max-opacity":"1","course-list-title-color":"#6b6b6b","course-list-id-color":"#3db166","course-list-info-background-color":"#f2f2f2","course-list-info-title-color":"#3e3e3e","course-list-info-id-color":"#3db166","course-list-info-info-color":"#6b6b6b","course-list-info-button-color":"#50bd77","course-search-input-background":"#3b4b6b","course-search-input-text":"#b1c0e0","course-search-submit-button-background":"#50bd77","course-list-title-hover-color":"#3db166","event-item-date-color":"#50bd77","event-item-month-color":"#152647","event-item-title-color":"#182847","event-item-info-color":"#50bd77"},"kingster_plugin":{"enable-srcset":"enable","lightbox":"lightGallery","ilightbox-skin":"dark","link-to-lightbox":"enable","lightbox-video-autoplay":"enable","additional-css":"","additional-mobile-css":"","additional-head-script":"","additional-head-script2":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4348","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Thumbnail","width":"700","height":"935","hard-crop":""},{"name":"Personnel Square","width":"500","height":"500","hard-crop":""},{"name":"Gallery Portrait","width":"495","height":"600","hard-crop":""},{"name":"Single Major","width":"1000","height":"365","hard-crop":""}],"disable-cookie-youtube":"disable","privacy-cookie-time":"30","privacy-notification-position":"bottom-bar","privacy-box-button-color":"#1a49a8","privacy-form-logo":"","privacy-form-input-button-color":"#1a49a8","privacy-form-save-button-color":"#1a49a8"},"goodlayers_core_course_custom_taxs":{"department":{"label":"Department","hierarchical":true},"campus":{"label":"Campus","hierarchical":true},"level":{"label":"Level","hierarchical":true},"instructor":{"label":"Instructor","hierarchical":true},"semester":{"label":"Semester","hierarchical":true},"credit":{"label":"Credit","hierarchical":true},"method":{"label":"Method","hierarchical":true}}}';
			$default_theme_option = json_decode($default_theme_option, true);
			foreach( $default_theme_option as $option_slug => $option_value ){
				$option = get_option($option_slug, array());
				if( empty($option) ){
					update_option($option_slug, $option_value);
				}
			}

			// redirect to plugin installation
			$plugin_slug = 'goodlayers-core';
			$getting_start_url = 'admin.php?page=gdlr_core_getting_start';
			// $redirect_url = kingster_tgmpa_does_plugin_active($plugin_slug,  $getting_start_url);
			$redirect_url = kingster_tgmpa_auto_install_url($plugin_slug,  $getting_start_url);
			
			if( empty($redirect_url) ){
				wp_redirect(admin_url('themes.php?page=tgmpa-install-plugins'));
			}else{
				wp_redirect($redirect_url);
			}

		}
	}